/* eslint-disable */
var MARKDOWN_TOC_DATA = [
  {
    "gid": 1,
    "name": "intro",
    "label": "Introduction",
    "children": [
      {
        "cid": 1,
        "sid": "feature",
        "name": "feature",
        "label": "제품의 특징",
        "data": {
          "body": "> `IBUpload`는 웹 환경에서 파일의 업로드, 다운로드, 삭제 등과 같은 파일 첨부나 파일 처리와 관련된 기능을 제공하는 javscript 기반의 웹 컨트롤이며, > 이와 같은 파일 처리들을 좀 더 쉽게 개발하고, 운영할 수 있도록 돕는 컨트롤 도구입니다. ## 주요한 제품의 기능 ### *다양한 표시 기능* * 탐색기에서 파일을 표시할 때 `\"큰 아이콘\"`, `\"작은 아이콘\"`, `\"간단히\"`, `\"자세히\"` 형태로 파일 아이콘들이 표시되는 것처럼 다운로드할 또는 업로드된 파일들을 표시하는 다양한 방법을 제공합니다. ![자세히(detail)](/assets/imgs/ibup-detail.png \"자세히(detail)\") ![간단히(list)](/assets/imgs/ibup-easy.png \"간단히(list)\") ### 다양한 키보드와 마우스 사용자 경험 지원 * 키보드나 마우스를 이용하여 제품 안에 있는 파일을 선택할 수 있고, 키보드 또는 마우스 오른쪽 버튼을 이용한 컨텍스트 메뉴 기능 등을 제공합니다. ![s](/assets/imgs/ibup-feauture3.png) ### *파일 제한 기능* * 업로드가 가능한 파일 확장자들 또는 불가능한 확장자들을 설정하여 특정 파일들을 첨부를 제한하는 기능을 구현할 수 있으며, 파일 개수 제한 기능과 파일별 용량 제한 기능, 전체 파일의 총 용량을 제한 하는 기능 등이 제공됩니다. ### *메시지 기능* * 제품에서 발생하는 모든 동작과 관련된 이벤트들이 제공되며, 처리 결과에 따른 정보나 오류 등의 다양한 결과 메시지들을 제공합니다. * 모든 메시지 들은 고객이 원하는 메시지로 언제든지 변경 설정이 가능합니다. ### *진행율 표시 기능* * 파일이 업로드 되는 동안, 진행율을 표시할 수 있습니다. ### *대용량 전송 기능* * 1~2 GB 이상의 대용량 파일도 안정적으로 업로드가 가능합니다."
        },
        "url": "docs/intro/feature.html"
      },
      {
        "cid": 2,
        "sid": "files",
        "name": "files",
        "label": "파일 구성",
        "data": {
          "body": "## ibupload 제품은 아래와 같은 파일,폴더로 구성되어 있습니다. ``` ├─ 기본 엔진 파일들 │ ├─ /js/ibupload.js │ ├─ /js/ibuploadinfo.js │ ├─ /js/ibcalendar.min.js │ ├─ /js/ibleaders.js │ └─ /js/Main(폴더) │ ├─ 관련 라이브러리 │ ├─ /jquery/jquery-1.7.2.min.js │ ├─ /jquery/jquery-ui-1.10.4.min.js │ ├─ /jquery/jquery.contextMenu.min.js │ ├─ /jquery/jquery.contextMenu.min.css │ └─ /jquery/jquery/font │ ├─ 서버 파트 jar 파일들 (반영시 서버 재기동 필요) │ ├─ /jar/commons-fileupload-1.3.1.jar (JDK 1.5 이상 권장) │ ├─ /jar/commons-io-2.4.jar (JDK 1.5 이상 권장) │ ├─ /jar/ant.jar (JDK 1.5 이상 권장) │ └─ /jar/json-simple-1.1.1.jar (JDK 1.5 이상 권장) │ └─ 서버 파트 템플릿 jsp 파일들 (ibuploadinfo.js 에서 URL 변경 설정 가능) ├─ /jsp/download_sample.jsp └─ /jsp/upload_sample.jsp ``` ## 각 파일의 기능은 아래와 같습니다. ### *ibleaders.js (엔진)* `제품 라이선스` 정보를 담고 있는 파일 ### *ibupload.js (엔진)* IBUpload 엔진 파일 ### *ibuploadinfo.js (엔진)* IBUpload 기본 설정 정보 및 메시지 정의, 유틸 함수 모음 ### *jquery-1.7.2.min.js, jquery-ui-1.10.4.min.js, jquery.contextMenu.min.js, jquery.contextMenu.min.css (라이브러리)* IBUpload 필수 사용 라이브러리 (이미 사용되는 jQuery 버전이 있을 경우 기존 버전을 사용해도 무관) `각 버전 이상 사용` ### *jquery.contextMenu.min.js.map (라이브러리)* IBUpload 디버깅 용도 파일 (운영에서 개발자모드를 지원하지 않을 경우 배포할 필요는 없음) ### *font (라이브러리)* contextMenu 관련 font ### *commons-fileupload-1.3.1.jar (서버모듈)* 업로드 파일의 수신 모듈 ### *commons-io-2.4.jar (서버모듈)* 업로드 파일의 수신 관련 모듈 ### *ant.jar (서버모듈)* 한글 파일명을 지원하는 압축 모듈 (7.3.0.11 버전부터 jazzlib.jar 대신 ant.jar 사용) ### *json-simple-1.1.1.jar (서버모듈)* JSON 라이브러리 ### *download_sample.jsp (서버 서비스)* 서버파트 - 파일 다운로드시 처리를 위한 템플릿 ( 예제 소스코드 제공 ) ### *upload_sample.jsp (서버 서비스)* 서버파트 - 파일 업로드시 처리를 위한 템플릿 ( 예제 소스코드 제공 ) ---"
        },
        "url": "docs/intro/files.html"
      }
    ]
  },
  {
    "gid": 2,
    "name": "start",
    "label": "Getting Started",
    "children": [
      {
        "cid": 5,
        "sid": "quick-start",
        "name": "quick-start",
        "label": "Quick Start",
        "data": {
          "body": "## 1. IBUpload 설치 - `IBUpload`를 사용하기 위해서 jquery, jquery-ui, css를 include 하고, ibuploadinfo.js와 ibupload.js 파일을 include 합니다. `순서 중요` jquery의 최소 권장 버전은 `1.7.2` 입니다. ```html <!-- 필수 jquery library --> <script type=\"text/javascript\" src=\"/jquery/jquery-1.7.2.min.js\"></script> <script type=\"text/javascript\" src=\"/jquery/jquery-ui-1.10.4.min.js\"></script> <!-- contextMenu 관련 jquery 추가 모듈 --> <link href=\"/jquery/jquery.contextMenu.min.css\" rel=\"stylesheet\" type=\"text/css\" /> <script type=\"text/javascript\" src=\"/jquery/jquery.contextMenu.min.js\"></script> <!-- ibupload 모듈 --> <script type=\"text/javascript\" src=\"js/ibleaders.js\"></script> <script type=\"text/javascript\" src=\"js/ibuploadinfo.js\"></script> <script type=\"text/javascript\" src=\"js/ibupload.js\"></script> ``` [javascript,css 파일 include] ### 2. div를 통한 업로드 객체 삽입 - body 태그 영역 안에 IBUpload 컨트롤을 표시할 div 객체를 생성합니다. 이 때 IBUpload 객체는 상위 객체의 크기(너비,높이)를 따르기 때문에 `상위 객체가 반드시 크기를 갖고 있어야 합니다.` ```html <div class=\"content\"> <div class=\"btn_div\"> <button type=\"button\" onclick=\"doAction(add)\">파일추가</button> <button type=\"button\" onclick=\"doAction('download')\">다운로드</button> <button type=\"button\" onclick=\"doAction('delete')\">파일삭제</button> <button type=\"button\" onclick=\"doAction(save)\">저장</button> </div> <!-- 업로드 상위 객체의 크기를 따름 --> <div style=\"width:750px;height:400px\"> <div id=\"myUpload\"></div> </div> </div> ``` [div를 통한 업로드 객체 삽입] ## 3. IBUpload 객체 초기화 - 웹패이지의 로딩이 완료된 순간(body onload) 에 IBUpload 객체를 생성 및 초기값을 설정합니다. ```html <script> $(document).ready(function(){ //객체생성 $(\"#myUpload\").IBUpload(); }); </script> ``` [기본 형태 객체 생성] ![s](/assets/imgs/ibup-quick1.png) ## 4. 화면 버튼 기능 연결하기 - 화면에 추가한 버튼과 연결된 기능을 정의합니다. ```html <script type=\"text/javascript\"> function doAction(str){ switch(str){ case \"add\"://파일추가 $(\"#myUpload\").IBUpload(\"add\"); break; case \"download\"://선택 파일 삭제 $(\"#myUpload\").IBUpload(\"download\"); break; case \"delete\"://선택파일 다운로드 $(\"#myUpload\").IBUpload(\"delete\"); break; case \"save\"://변경 내용 저장 $(\"#myUpload\").IBUpload(\"upload\"); break; //ibupload 보기모양 동적 변경 case \"icon\": case \"list\": case \"detail\": $(\"#myUpload\").IBUpload(\"iconMode\",str); //함수호출 break; }//end switch } </script> <body> <button type=\"button\" onclick=\"doAction('add')\">파일추가</button> <button type=\"button\" onclick=\"doAction('download')\">다운로드</button> <button type=\"button\" onclick=\"doAction('delete')\">파일삭제</button> <button type=\"button\" onclick=\"doAction(save)\">저장</button> </body> ``` [기본 형태 객체 생성] ## 5. 컨택스트메뉴 설정 및 기능 연결하기 - 업로드 컨트롤 상에서 마우스 우클릭시 보여질 컨택스트 메뉴를 설정하고, 선택시 행할 기능을 연결합니다. `ibsheetinfo.js` 에 기본 컨택스트 메뉴 내용이 설정되어 있습니다. ```javascript //초기 기본값 설정 ibleaders.ibupload = { /* 파일 추가시 자동 업로드 여부 */ autoUpload: true, ...... 중략 ......... /* 팝업메뉴 항목 구성 */ contextMenuItems: { \"download\": {name: \"다운로드 (D)\", icon: \"\", accesskey: \"d\"}, \"sep1\": \"---------\", \"viewtype\": { \"name\": \"보기\", \"items\": { \"icon\": {\"name\": \"아이콘 (C)\", accesskey: \"c\"}, \"list\": {\"name\": \"간단히 (L)\", accesskey: \"l\"}, \"detail\": {\"name\": \"자세히 (D)\", accesskey: \"d\"} } }, \"sep2\": \"---------\", \"add\": {name: \"추가 (A)\", icon: \"\", accesskey: \"a\"}, \"delete\": {name: \"제거 (R)\", icon: \"delete\", accesskey: \"r\"} }, ..... 후략 ....... } ``` [ibsheetinfo.js 파일 내용] * contextMEnuItems의 각 속성은 아래와 같이 객체별 name, name, accesskey로 구성됩니다. |메뉴 항목|추가 처리 내용| |----|--------------| |객체별 name|팝업 메뉴항목 의 고유 ID 위의 예 에서 download, icon, add,delete 등에 해당된다. ( onContextMenu 이벤트 참고 )| |Name|실제로 메뉴에 보이는 글 내용| |Accesskey|팝업메뉴에서의 키보드를 누르면 바로 선택되는 바로가기 키를 설정합니다.`firefox`와 `mobile`은 지원불가| - 업로드 초기화 시 해당 컨택스트메뉴와 연결될 이벤트를 정의합니다. ```javascript <script type=\"text/javascript\"> $(document).ready(function(){ //업로드 초기화 $(\"#myUpload\").IBUpload({ viewType:\"icon\", iconMode :\"detail\", ..... 중략..... //컨택스트 메뉴 연결 onContextMenu:function(key){ doAction(key); } }); }); </script> ``` ![s](/assets/imgs/ibup-quick2.png)"
        },
        "url": "docs/start/quick-start.html"
      },
      {
        "cid": 3,
        "sid": "download",
        "name": "download",
        "label": "DownLoad",
        "data": {
          "body": "> Client 파트에서 IBUpload의 다운로드 기능을 구현하기 위해서는 아래와 같이 링크 버튼을 구현하고, > 버튼을 클릭했을 때 IBUpload의 download 메소드를 호출하도록 구현합니다. ```html <head> <script> function doAction(sAction) { switch (sAction) { case 'download': $('#myUpload').IBUpload('download'); } } </script> </head> <a href=\"javascript:doAction('download');\">다운로드</a> ``` - download 메소드 호출시 IBUpload 컨트롤 안에 선택된 파일목록이 서버로 전송됩니다. - 서버에서는 파일정보를 얻어 클라이언트단으로 파일을 리턴하면 됩니다. ![s](/assets/imgs/ibup-download1.png) - 두 개 이상의 파일을 다운받는 경우, download 함수 호출 시 선택한 파일명과 실제 파일에 대한 경로는 아래와 같이 묶여 서버로 전송됩니다. ```javascript <input type=\"hidden\" name=\"file\" value=\" myUploadedFiles/20180823174741|20180718_회의내용.txt[줄넘김문자]myUploadedFiles/20180823174741_13945606|clipCopyMode 기능 분석.xlsx\"/> // 구조 물리적 파일명1[저장시 변환한 임의의 파일명]|실제 파일명1[사용자가 아는 파일명]줄넘김 물리적 파일명2|실제 파일명2줄넘김 ``` - 서버측에서는 줄넘김 문자(\\n)을 통해 파일과 파일은 나누고 \"|\" 를 통해 다시 물리적 파일명과 실제 파일명을 얻어 클라이언트로 리턴해 주면 됩니다. - ibupload에서는 `download_sample.jsp` 파일을 통해 다운로드 시 서버측 로직에 대한 템플릿을 제공하고 있습니다."
        },
        "url": "docs/start/download.html"
      },
      {
        "cid": 4,
        "sid": "error",
        "name": "error",
        "label": "Error 처리",
        "data": {
          "body": "## 1. Client 오류 메시지 처리 > 오류 메세지로는 ERR-001 과 같이 오류 형태의 코드가 있고, INFO-001 과 같이 정보 메세지가 있으므로 오류만 필터링하여 아래와 같이 alert 를 띄울 수 있습니다. ```html <head> <script> $(function(){ $(\"#myUpload\").IBUpload({ viewType:\"icon\", iconMode :\"detail\", onMessage: function(msgID, msg) { if (msgID.substring(0, 3) == \"ERR\") { // 오류는 메세지로 표시 alert(msg + \"\\n\\n\" + \"error : \" + msgID); } else { //alert(msg); // 일반 정보 메세지는 숨김 } } }); }); </script> </head> ``` [오류와 정보 메시지를 분리하여 alert 띄우기] ## 2. Servelet Exception 처리 > Servelet에서 Exception 관련 에러 메시지는 Json 형식으로 아래와 같이 구성됩니다. > - Json 형식 : {\"error\":\"오류가 발생하였습니다.\"} ```javascript try { } catch (Exception ex) { Map msg = new HashMap(); msg.put(\"error\",\"오류가 발생하였습니다.\"); //오류에 대한 자세한 내역이 필요하다면 다음과 같이 사용하세요. //String exMsg = ex.getMessage(); //msg.put(\"error\",exMsg); out.print(org.json.simple.JSONValue.toJSONString(msg)); } ``` [Servelet에서 Exception 처리(jsonSimple lib 사용)]"
        },
        "url": "docs/start/error.html"
      },
      {
        "cid": 6,
        "sid": "searching",
        "name": "searching",
        "label": "조회 기능",
        "data": {
          "body": "> IBUpload의 files 속성을 이용하면, 로딩되는 순간부터 즉시 다운로드 받을 파일들을 콘트롤에 추가하여 표시할 수 있습니다. ```html <head> <script> $(function(){ $(\"#myUpload\").IBUpload({ viewType:\"icon\", iconMode :\"icon\", theme :\"Main\", files: [ {name: \"오렌지.jpg\", size: \"1075761\", date: \"20160101125959\", url: \"20160126_180801\"}, {name: \"커피2랑.jpg\", size: \"1087426\", date: \"20160101125959\", url: \"20160126_180801_64356079\"} ] }); }); </script> </head> ``` [IBUpload 초기 화면부터 다운로드 받을 파일들을 삽입하기] - 업로드 조회 데이터를 표시하기 위해서는 json 구조에 다음과 같은 속성이 필요합니다. |Properties|Description| |---|---| |`name`|실제 파일명| |`size`|파일 크기| |`date`|업로드 일자(yyyyMMddHHmmss)| |`url`|서버에 저장된 실제파일명| - ibupload가 생성된 이후에 파일을 조회할 때에는 files 메소드를 이용하면 됩니다. 참고 : files 메소드 ```javascript <script> $.ajax({ url:\"thisPageSearch.do\", data:\"pid=12342&user_id=928123\", success:function(jsonData){ //서버에서 조회한 json 데이터를 로딩한다. $(\"#myUpload\").IBUpload(\"files\" , jsonData); } }); </script> ```"
        },
        "url": "docs/start/searching.html"
      },
      {
        "cid": 7,
        "sid": "upload",
        "name": "upload",
        "label": "업로드 기능",
        "data": {
          "body": "## 1. 자동/수동 업로드 설정 업로드 방식에는 autoUpload 속성에 따라 아래와 같이 나눌 수 있습니다. |autoUpload Value|Descripttion| |----|----| |`true` (자동업로드)|add 메소드의 호출시 보여지는 파일선택창에서 사용자가 파일을 선택하는 즉시 서버로 전송| |`false` (수동업로드)|add 메소드의 호출로 사용자가 선택한 파일은 실제 서버로 전송되지 않고 관리되다가, upload 메소드를 호출하는 순간에서야 서버로 전송| - Client 파트에서 IBUpload의 업로드 기능을 구현하기 위해서는 `링크 버튼을 제공` 하고 링크 버튼을 사용자가 클릭했을 때 add메소드를 호출하도록 구현합니다. ```html <head> <script> // autoUpload : true 모드 $(function(){ //업로드 객체 초기화 $(\"#myUpload\").IBUpload({ viewType:\"icon\", iconMode :\"detail\", autoUpload:true //즉시업로드 }); }); function doAction(sAction) { switch (sAction) { case 'add': $('#myUpload').IBUpload('add'); break; } } </script> </head> <body> <a href=\"javascript:doAction('add');\">파일첨부</a> <hr> <!-- 업로드 상위 객체의 크기를 따른다 --> <div style=\"width:750px;height:400px\"> <div id=\"myUpload\"></div> </div> </body> ``` ```html <head> <script> // autoUpload : false 모드 (업로드 버튼 클릭시 서버 전송) $(function(){ $(\"#myUpload\").IBUpload({ viewType:\"icon\", iconMode :\"detail\", autoUpload:false //수동 업로드 }); }); function doAction(sAction) { switch (sAction) { case 'add'://파일 선택 $('#myUpload').IBUpload('add'); break; case 'upload'://서버 전송 $('#myUpload').IBUpload(upload); break; } } </script> </head> <body> <a href=\"javascript:doAction('add');\">파일추가</a> <a href=\"javascript:doAction('upload');\">업로드</a> </body> ``` ## 2. 업로드시 파라미터 값들 함께 전송하기 - 업로드 할 때 `extendParamUpload` 메소드를 통해 파일 외 다양한 문자열 값들을 함께 전송할 수 있습니다. - autoUpload=false 상태에서 upload 메소드를 호출하기 전에 `extendParamUpload` 메소드를 미리 호출하고 upload 메소드를 호출하는 순간, 서버 파트에서 해당 파라메터들의 name 과 value 를 함께 얻어볼 수 있습니다. ```javascript function doAction(sAction) { switch (sAction) { case 'add': $('#myUpload').IBUpload('add'); break; case 'upload': $('#myUpload').IBUpload(\"extendParamUpload\",\"userid=user-id10012&content=올해의 신청자료\"); $('#myUpload').IBUpload('upload'); break; } } ``` ## 3. 업로드 완료시 서버에서 응답한 파라미터 값 얻기 - 업로드가 완료되면 서버에서 리턴된 JSON 구문은 `onUploadData` 이벤트에서 받을 수 있습니다. 저장 결과 json안에 업로드가 필요로 하는 결과 내용 외에 클라이언트 단에 전송하고자 하는 내용이 있으면 별도로 추가할 수 있습니다. ```javascript { \"ibupload\": //전송한 파일에 대한 정보 [{\"size\":32927, \"id\":\"myUpFile0_0_0\",\"url\":\"myUploadedFiles\\/20180823162727\"} ..... ] ,\"etcdata\": //서버측에서 임의의로 만들어진 데이터 { \"name\" : \"실험 데이타\" , \"content\" : \"실험 데이타입니다.\" , \"content2\" : \"실험 데이타2입니다.\" } } ``` - 위와 같이 서버에서 `ibupload` 속성을 통해 업로드가 필요로 하는 정보 외에 etcdata 라는 임의의 내용을 추가하여 전송할 수 있습니다. `onUploadData` ```javascript $(function(){ $(\"#myUpload\").IBUpload({ viewType:\"icon\", iconMode :\"icon\", theme :\"Main\", onUploadData: function(serverObject, serverText){ frm.sa_name.value = serverObject.etcdata.name; frm.sa_contents.value = serverObject.etcdata.content; return serverObject; //반드시 리턴값이 있어야 합니다. } }); }); ```"
        },
        "url": "docs/start/upload.html"
      }
    ]
  },
  {
    "gid": 3,
    "name": "props",
    "label": "Properties",
    "children": [
      {
        "cid": 8,
        "sid": "addTrigger",
        "name": "addTrigger",
        "label": "addTrigger",
        "data": {
          "body": "> IE9 환경에서 파일 추가 다이얼로그 창을 클라이언트에서 생성합니다. > 기존 서버와 iframe 통신을 활용한 파일 추가 다이얼로그 창을 호출하는 방식과 달리 오직 클라이언트를 통해 생성합니다. ### Syntax ```javascript $(Selector).IBUpload({ addTrigger : “String” // 파일 추가 버튼 DOM id }); ``` ### Info |Name|Type|Default|Description| |----|----|-----|----| |addTrigger|`string`|\"addItem\"|파일 추가 버튼의 DOM id| ### See also * add 메소드 ### Since |version|desc| |---|---| |7.3.0.56||",
          "since": "|version|desc||---|---||7.3.0.56||"
        },
        "url": "docs/props/addTrigger.html"
      },
      {
        "cid": 9,
        "sid": "autoUpload",
        "name": "autoUpload",
        "label": "autoUpload",
        "data": {
          "body": "> 파일을 추가하는 즉시 자동으로 파일 업로드를 수행할지 여부를 설정합니다. > 값에 따라 자동업로드와 수동업로드 방식으로 나눌 수 있습니다. ### Syntax ```javascript $(Selector).IBUpload({ autoUpload : booleanValue }); ``` ### Info |Name|Type|Default|Description| |----|----|-----|----| |autoUpload|`boolean`|true|`true` : add 메소드를 호출하여 사용자가 파일을 선택하는 즉시 서버로 파일들이 업로드 됩니다. `false` : add 메소드를 호출하여 사용자가 파일을 선택 하더라도 일단 대기 상태로 있고, 반복적으로 add 를 추가 호출하여 파일들을 계속 추가 누적할 수 있습니다. upload 메소드를 호출하는 순간, 서버로 파일들이 한꺼번에 업로드 됩니다.| ### See also ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/autoUpload.html"
      },
      {
        "cid": 10,
        "sid": "contextMenuItems",
        "name": "contextMenuItems",
        "label": "contextMenuItems",
        "data": {
          "body": "> 마우스 커서가 IBUpload 컨트롤 위에 있을 때 마우스 오른쪽 버튼 클릭을 통해 보여질 팝업메뉴를 설정합니다. > json 형식으로 구성됩니다. ### Syntax ```javascript $(Selector).IBUpload({ contextMenuItems: { //json 형식으로 구성 \"download\": {name: \"다운로드 (D)\", icon: \"\", accesskey: \"d\"}, \"sep1\": \"---------\", \"viewtype\": { \"name\": \"보기\", \"items\": { \"icon\": {\"name\": \"아이콘 (C)\", accesskey: \"c\"}, \"list\": {\"name\": \"간단히 (L)\", accesskey: \"l\"}, \"detail\": {\"name\": \"자세히 (D)\", accesskey: \"d\"} } }, \"sep2\": \"---------\", \"add\": {name: \"추가 (A)\", icon: \"\", accesskey: \"a\"}, \"delete\": {name: \"제거 (R)\", icon: \"delete\", accesskey: \"r\"} } }); ``` ### Info |Name|Type|Description| |----|----|----| |key|`string`|onContextMenu 이벤트를 통해 리턴되는 값| |name|`string`|마우스 우측버튼 클릭시 보여지는 타이틀| |icon|`string`|add, delete 에 대한 이미지 아이콘 표시 여부| |items|`json`|내부 메뉴 표현시 사용| |accesskey|`string`|단축키(알파벳) 설정| ### See also ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/contextMenuItems.html"
      },
      {
        "cid": 11,
        "sid": "downloadFileName",
        "name": "downloadFileName",
        "label": "downloadFileName",
        "data": {
          "body": "> 다운로드 받는 zip 파일의 이름을 설정합니다. ### Syntax ```javascript $(Selector).IBUpload({ downloadFileName: stringValue }); ``` ### Info |Name|Type|Default|Description| |----|----|----|----| |downloadFileName|`string`|\"download\"|zip 파일 이름 설정| ### Example ```javascript <script type=\"text/javascript\"> $(function(){ $(\"#myUpload\").IBUpload({ viewType:\"icon\", autoUpload:false, downloadFileName : (function() { var yyyy = new Date().getFullYear().toString(); var mm = (new Date().getMonth()+1).toString(); var dd = new Date().getDate().toString(); return yyyy + (mm[1]?mm:\"0\"+mm[0]) + (dd[1]?dd:\"0\"+dd[0]);})() + \"_다운\", theme :\"Main\" }); }); </script> ``` ### See also ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/downloadFileName.html"
      },
      {
        "cid": 12,
        "sid": "downloadServerUrl",
        "name": "downloadServerUrl",
        "label": "downloadServerUrl",
        "data": {
          "body": "> 다운로드 기능을 제공하는 서버단 jsp 프로그램 경로를 설정합니다. > ibuploadinfo.js 안에서 ibleaders.ibupload.downloadServerUrl 전역 속성으로 `최초 1회 설정` 할 수 있고, downloadServerUrl 메소드를 통해서도 다운로드 직전에 해당 경로를 변경할 수 있습니다. ### Syntax ```javascript $(Selector).IBUpload({ uploadServerUrl:URL, downloadServerUrl:URL }); ``` ### See also * [uploadServerUrl 메소드](/docs/funcs/uploadServerUrl) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/downloadServerUrl.html"
      },
      {
        "cid": 13,
        "sid": "exceptDuplicated",
        "name": "exceptDuplicated",
        "label": "exceptDuplicated",
        "data": {
          "body": "> 중복 파일 추가 방지 여부를 설정합니다. > 0으로 설정할 경우 중복파일 추가가 가능하고 1로 설정시 불가합니다. ### Syntax ```javascript $(Selector).IBUpload({ exceptDuplicated: numberValue, }); ``` ### Info |Name|Type|Default|Description| |----|----|----|-----| |exceptDuplicated|`number`|1|중복파일 추가 방지 여부 설정| ### See also * [add 메소드](/docs/funcs/add) ### Since |version|desc| |---|---| |7.3.0.50||",
          "since": "|version|desc||---|---||7.3.0.50||"
        },
        "url": "docs/props/exceptDuplicated.html"
      },
      {
        "cid": 14,
        "sid": "exceptZeroFile",
        "name": "exceptZeroFile",
        "label": "exceptZeroFile",
        "data": {
          "body": "> 크기가 0byte인 파일 추가 방지 여부를 설정합니다. > 0으로 설정할 경우 0byte 크기 파일 추가를 시도하며, 1로 설정시 불가합니다. ### Syntax ```javascript $(Selector).IBUpload({ exceptZeroFile: numberValue, }); ``` ### Info |Name|Type|Default|Description| |----|----|----|-----| |exceptZeroFile|`number`|0|0byte 파일 추가 방지 여부 설정| ### See also * [add 메소드](/docs/funcs/add) ### Since |version|desc| |---|---| |7.3.0.52||",
          "since": "|version|desc||---|---||7.3.0.52||"
        },
        "url": "docs/props/exceptZeroFile.html"
      },
      {
        "cid": 15,
        "sid": "fileSeparator",
        "name": "fileSeparator",
        "label": "fileSeparator",
        "data": {
          "body": "> 여러개 파일을 선택하여 다운로드시 서버로 전달되는 파일 정보와 파일명 사이의 구분자를 설정합니다. `ibuploadinfo.js` > 파일 다운로드시 선택한 파일 명은 file이라는 이름으로 서버로 전송되는데, 설정이 없는 경우 파일명과 파일명 사이에 구분자로 `\" \"(공백)`문자가 들어갑니다. > 파일명 안에 공백이 있는 경우 문제가 되기 때문에 이 문자를 공백 대신에 다른 문자로 변경할 수 있습니다. > `1개의 문자`만 설정 가능하고 `/,\\`는 사용에 제한이 있습니다. (특별한 경우가 아니면 `\"|\"`를 사용할 것을 권장합니다). ### Syntax ```javascript ibleaders.ibupload = { fileSeparator : \"|\" }; ``` ### See also * [download](/docs/funcs/download) ### Since |version|desc| |---|---| |7.3.0.49||",
          "since": "|version|desc||---|---||7.3.0.49||"
        },
        "url": "docs/props/fileSeparator.html"
      },
      {
        "cid": 16,
        "sid": "files-2",
        "name": "files",
        "label": "files",
        "data": {
          "body": "> 초기 로딩시 컨트롤 내에 추가할 파일 목록들을 설정합니다. ### Syntax ```javascript $(Selector).IBUpload({ files : fileArrayObject or stringValue }); ``` ### Info |Name|Type|Default|Description| |----|----|----|-----| |date|`string`||YYYYMMDDhhmmss(년월일시분초) 형식으로 구성된 문자열을 업로드했던 날짜와 시간| |name|`string`|업로드 했던 당시의 파일 원본 명칭 (`폴더 명이 제외`된 순수한 파일명)| |size|`number`|업로드 파일의 용량 (Byte 단위)| |url|`string`|파일 업로드가 완료된 경우 서버로부터 다운로드 가능한 URL| ### Example 1 ```javascript <script type=\"text/javascript\"> $(function(){ // 엔진 생성 $(\"#myUpload\").IBUpload({ viewType:\"icon\", iconMode:\"icon\", autoUpload:false, files: [ {name: \"관심과집중.mp4\", size: \"11417124\", date: \"20160101125959\", url: \"20160126_180337_82754651\"}, {name: \"오렌지.jpg\", size: \"1075761\", date: \"20160101125959\", url: \"20160126_180801\"} ], theme :\"Main\" }); }); </script> ``` ### Example 2 ```javascript <script type=\"text/javascript\"> $(function(){ // 엔진 생성 $(\"#myUpload\").IBUpload({ viewType:\"icon\", iconMode:\"icon\", autoUpload:false, files: '{name: \"관심과집중.mp4\", size: \"11417124\", date: \"20160101125959\", url: \"20160126_180337_82754651\"},{name: \"오렌지.jpg\", size: \"1075761\", date: \"20160101125959\", url: \"20160126_180801\"}', theme :\"Main\" }); }); </script> ``` ### See also * [files 메소드](/docs/funcs/files) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/files.html"
      },
      {
        "cid": 17,
        "sid": "headerText",
        "name": "headerText",
        "label": "headerText",
        "data": {
          "body": "> viewType이 detail 모드에서 보여지는 컬럼의 순서를 바꾸거나 숨깁니다. > 전역으로 설정시 모든 IBUpload 컨트롤에 컬럼 숨김과 순서가 동일하게 적용되며, 지역으로 특정 IBUpload 에서만 설정하면 해당 컨트롤의 디자인만 적용됩니다. > 모두 선언하지 않으면 ibuploadinfo.js 안에 있는 `ibleaders.ibupload.message` 의 값들로 적용됩니다. > 해당 속성들이 곧 표시되는 컬럼의 순서이며, 일부 속성을 지우면 화면에서도 해당 컬럼이 숨겨집니다. ### Syntax ```javascript $(Selector).IBUpload({ headerText : fileArrayObject }); ``` ### Info |Name|Type|Default|Description| |----|----|----|-----| |icon32|`string`|undefined|viewType 속성에서 icon / list 모드와 관련하여 큰 아이콘들을 표시하려면 icon32 를 반드시 선언해야 합니다. 아이콘을 숨기고 싶으면 선언을 하지 않습니다.`name 설정 자체가 중요하며, 값은 의미 없음`| |icon16|`string`|undefined|detail 모드에서 아이콘을 표시하려면 icon16 를 선언해야 합니다. 아이콘을 숨기고 싶으면 선언을 하지 않는다. `name 설정 자체가 중요하며, 값은 의미 없음`| |name|`string`|undefined|파일명 컬럼 – 파일명을 표시하는 컬럼의 헤더글자와 보임여부 설정. (값은 눈에 보이는 헤더 글자이며, 선언시 컬럼이 보이고, 선언을 하지 않으면 해당 컬럼은 감춰집니다.)| |size|`string`|undefined|파일크기 컬럼 – 파일 크기를 표시하는 컬럼의 헤더글자와 보임여부 설정| |date|`string`|undefined|업로드 날짜 컬럼 – 파일을 업로드하는 컬럼의 헤더글자와 보임여부 설정| |state|`string`|undefined|파일상태 컬럼 – 파일의 상태를 표시하는 컬럼의 헤더글자와 보임여부 설정| |type|`string`|undefined|파일유형 컬럼 – 파일의 종류를 표시하는 컬럼의 헤더글자와 보임여부 설정| ### Example 1 ```javascript // ibuploadinfo.js 의 전역속성에서 선언시 모든 IBUpload 컨트롤에 적용 ibleaders.ibupload = { headerText : {\"icon32\":\"\",\"icon16\":\"\",\"name\" :\"파일명\",\"size\":\"파일 용량\",\"date\":\"날짜\",\"state\" :\"상태\",\"type\" :\"파일 유형\"} } ``` ### Example 2 ```javascript <script type=\"text/javascript\"> $(function(){ // 지역 설정시 해당 IBUpload 컨트롤에만 적용 $(\"#myUpload\").IBUpload({ headerText : {\"icon32\":\"\",\"icon16\":\"\",\"name\" :\"파일명\",\"size\":\"파일 용량\"} }); }); </script> ``` ### See also * [files 메소드](/docs/funcs/files) ### Since |version|desc| |---|---| |7.3.0.20||",
          "since": "|version|desc||---|---||7.3.0.20||"
        },
        "url": "docs/props/headerText.html"
      },
      {
        "cid": 18,
        "sid": "iconMode",
        "name": "iconMode",
        "label": "iconMode",
        "data": {
          "body": "> 컨트롤 내부의 생성 모양을 설정합니다. > 아이콘 타입의 업로드 컨트롤 생성시 타입을 설정합니다. 제공되는 모드는 `icon`, `list`, `detail` 형태이며 각 모드별 사용 변경은 css를 통해 컨트롤 가능합니다. ### Syntax ```javascript $(Selector).IBUpload( iconMode: stringValue ); ``` ### See also ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/props/iconMode.html"
      },
      {
        "cid": 19,
        "sid": "limitFileCount",
        "name": "limitFileCount",
        "label": "limitFileCount",
        "data": {
          "body": "> 컨트롤 내에 추가할 파일의 최대 개수를 설정합니다. > `주의` 동시에 N 개의 파일을 추가 시도 중에 최대 개수를 초과하게 되면 해당 N 개의 멀티 파일 선택 목록 전체가 추가 되지 않고 취소 됩니다. ### Syntax ```javascript $(Selector).IBUpload({ limitFileCount : numberValue }); ``` ### See also * [limitFileCountOnce 속성](/docs/props/limitFileCountOnce) * [limitFileExtMode 속성](/docs/props/limitFileExtMode) ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/props/limitFileCount.html"
      },
      {
        "cid": 20,
        "sid": "limitFileCountOnce",
        "name": "limitFileCountOnce",
        "label": "limitFileCountOnce",
        "data": {
          "body": "> 컨트롤 내에 한번에 추가할 파일의 최대 개수를 설정한다. ### Syntax ```javascript $(Selector).IBUpload({ limitFileCountOnce : numberValue }); ``` ### See also ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/limitFileCountOnce.html"
      },
      {
        "cid": 21,
        "sid": "limitFileExt",
        "name": "limitFileExt",
        "label": "limitFileExt",
        "data": {
          "body": "> 컨트롤 내에 제약할 수 있는 파일의 확장자를 설정합니다. > 1개 이상의 확장자를 나열하려면 ,(콤마구분자) 를 이용하여 나열합니다. > `주의` 파일의 사이즈,확장자를 제어하는 것은 사용자의 편의를 돕기 위한 기능이며, 보안적인 측면에서 파일에 대한 필터링은 `서버측 로직에 반드시 구현`되어야 합니다. ### Syntax ```javascript $(Selector).IBUpload({ limitFileExt: \"jpg, png, gif\", //제약 조건 확장자 limitFileExtMode : \"allow\" // jpg, gif, png 파일만 업로드를 허용한다. }); ``` ### See also * [limitFileExtMode 속성](/docs/props/limitFileExtMode) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/limitFileExt.html"
      },
      {
        "cid": 22,
        "sid": "limitFileExtMode",
        "name": "limitFileExtMode",
        "label": "limitFileExtMode",
        "data": {
          "body": "> limitFileExt 로 나열한 확장자 파일들만 허용할 지, 거부할 지 여부를 설정합니다. > 1개 이상의 확장자를 나열하려면 ,(콤마구분자) 를 이용하여 나열합니다. > `주의` 파일의 사이즈,확장자를 제어하는 것은 사용자의 편의를 돕기 위한 기능이며, 보안적인 측면에서 파일에 대한 필터링은 `서버측 로직에 반드시 구현`되어야 합니다. ### Syntax ```javascript $(Selector).IBUpload({ limitFileExt: \"파일확장자 [,파일확장자]\", limitFileExtMode : \"allow\" 또는 \"deny\" }); ``` ### Example ```javascript $(Selector).IBUpload({ limitFileExt: \"jsp, asp, php, class\", limitFileExtMode : \"deny\" // jsp, asp, php, class 파일만 업로드를 제한 한다. }); ``` ### See also * [limitFileExt 속성](/docs/props/limitFileExt) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/limitFileExtMode.html"
      },
      {
        "cid": 23,
        "sid": "limitFileSize",
        "name": "limitFileSize",
        "label": "limitFileSize",
        "data": {
          "body": "> 컨트롤 내에 한번에 추가할 파일의 최대 용량을 설정한다.(byte 단위) > `주의` 동시에 N 개의 파일을 추가 시도 중에 최대 제한 용량을 초과하는 파일이 1개라도 발생하면 해당 N 개의 멀티 파일 선택 목록 전체가 추가 되지 않고 취소 됩니다. > 파일의 사이즈,확장자를 제어하는 것은 사용자의 편의를 돕기 위한 기능이며, 보안적인 측면에서 파일에 대한 필터링은 `서버측 로직에 반드시 구현`되어야 합니다. ### Syntax ```javascript $(Selector).IBUpload({ limitFileSize : numberValue }); ``` ### See also * [limitFileTotalSize 속성](/docs/props/limitFileTotalSize) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/limitFileSize.html"
      },
      {
        "cid": 24,
        "sid": "limitFileTotalSize",
        "name": "limitFileTotalSize",
        "label": "limitFileTotalSize",
        "data": {
          "body": "> 컨트롤 내에 한번에 추가할 모든 파일들의 총 합계의 최대 제한 용량을 설정합니다. > `주의` 동시에 N 개의 파일을 추가 시도 중에 최대 제한 용량을 초과하는 파일이 1개라도 발생하면 해당 N 개의 멀티 파일 선택 목록 전체가 추가 되지 않고 취소 됩니다. > 파일의 사이즈,확장자를 제어하는 것은 사용자의 편의를 돕기 위한 기능이며, 보안적인 측면에서 파일에 대한 필터링은 `서버측 로직에 반드시 구현`되어야 합니다. ### Syntax ```javascript $(Selector).IBUpload({ limitFileTotalSize : numberValue }); ``` ### See also * [limitFileSize 속성](/docs/props/limitFileSize) * [limitFileCount 속성](/docs/props/limitFileCount) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/limitFileTotalSize.html"
      },
      {
        "cid": 25,
        "sid": "locale",
        "name": "locale",
        "label": "locale",
        "data": {
          "body": "> IBUpload 컨트롤의 표시되는 텍스트 들과 동작 중에 발생하는 모든 정보, 메세지, 오류 들에 대하여 표시할 언어를 설정합니다. > `주의` 동시에 N 개의 파일을 추가 시도 중에 최대 제한 용량을 초과하는 파일이 1개라도 발생하면 해당 N 개의 멀티 파일 선택 목록 전체가 추가 되지 않고 취소 됩니다. > 파일의 사이즈,확장자를 제어하는 것은 사용자의 편의를 돕기 위한 기능이며, 보안적인 측면에서 파일에 대한 필터링은 `서버측 로직에 반드시 구현`되어야 합니다. ### Syntax ```javascript $(Selector).IBUpload({ locale : stringValue }); ``` ### Info |Name|Type|Default|Description| |----|----|-----|-------| |locale|`string`|\"Korean\"|언어 설정 변경| 전역 속성으로만 설정이 가능하지만, IBUpload 컨트롤을 로딩하기 전에 `ibleaders.ibupload.locale` 값을 변경하면 지역 속성을 설정한 것처럼 해당 컨트롤만 일시적으로 언어설정을 변경하여 표시할 수 있습니다. 기본값은 Korean이며, English로 변경 가능합니다. 만약 중국어나 일본어 등 언어를 추가하려면 `ibupload.message와 ibupload.fileType` 안에 각각 Korean 과 English 외에 더 추가하고 싶은 항목들을 정해서 추가하고 이 이름을 locale 값에 설정하면 됩니다. 참고 - 팝업메뉴를 사용하는 경우에는 `IBUpload_GetContextMenu()` 함수의 로직에도 추가할 언어 항목을 반영해야 하며, ibsheet 모드를 사용할 경우에는 `IBSheetLoadPage_Main()` 함수 안에서도 헤더에 표시될 내용을 분기처리 해 주어야 합니다. ### Example ```javascript ibleaders.ibupload = { locale: \"english\" // 한글에서 영문으로 전환한다. }; ``` ### See also ### Since |version|desc| |---|---| |7.3.0.22||",
          "since": "|version|desc||---|---||7.3.0.22||"
        },
        "url": "docs/props/locale.html"
      },
      {
        "cid": 26,
        "sid": "msgLevel",
        "name": "msgLevel",
        "label": "msgLevel",
        "data": {
          "body": "> onMessage 이벤트를 발생시킬 메세지 레벨을 설정합니다. ### Syntax ```javascript // ibuploadinfo.js 안에서 설정 (only 전역설정) ibleaders.ibupload ={ msgLevel : \"INFO\" //INFO or ERR }; ``` ### Info IBUpload에서 파일을 추가하거나 삭제, 혹은 서버로 전송하고, 결과는 받는 모든 과정에 대해서 onMessage 이벤트가 발생하게 되는데, 이 이벤트를 발생시키는 수준을 결정합니다. `\"INFO\"`로 설정시에는 위 모든 경우에 대해 onMessage 이벤트가 발생하고, `\"ERR\"` 로 설정하면 오류가 발생하는 경우(업로드 불가능한 파일을 선택했다거나 지정된 파일보다 많은 파일을 추가하는 등)에만 onMessage 이벤트가 발생합니다. ### Example ```javascript ibleaders.ibupload ={ msgLevel: \"ERR\", //오류가 발생했을 경우에만 onMessage 이벤트가 발생한다. }; ``` ### See also * [onMessage 이벤트](/docs/events/onMessage) ### Since |version|desc| |---|---| |7.3.0.X||",
          "since": "|version|desc||---|---||7.3.0.X||"
        },
        "url": "docs/props/msgLevel.html"
      },
      {
        "cid": 27,
        "sid": "overWriteFile",
        "name": "overWriteFile",
        "label": "overWriteFile",
        "data": {
          "body": "> 중복 파일 덮어쓸지 여부를 설정합니다. > 1로 설정 시, 기존 파일을 삭제하고 파일 추가를 실행합니다. ### Syntax ```javascript $(Selector).IBUpload({ overWriteFile: numberValue }); ``` ### See also * [add 메소드](/docs/funcs/add) ### Since |version|desc| |---|---| |7.3.0.52||",
          "since": "|version|desc||---|---||7.3.0.52||"
        },
        "url": "docs/props/overWriteFile.html"
      },
      {
        "cid": 28,
        "sid": "prependExtendParam",
        "name": "prependExtendParam",
        "label": "prependExtendParam",
        "data": {
          "body": "> `extendParamUpload` 메소드로 설정된 추가 파라미터들의 폼 데이터 내 위치를 설정합니다. ### Syntax ```javascript $(Selector).IBUpload({ prependExtendParam: numberValue }); ``` ### Info |Value|Description| |-----|-----------| |`true`|extendParamUpload 메소드로 설정된 추가 파라미터들이 폼 데이터의 첫 부분에 생성되어 전송| |`false`|extendParamUpload 메소드로 설정된 추가 파라미터들이 폼 데이터의 마지막에 생성되어 전송| ### See also * [extendParamUpload](/docs/funcs/extendParamUpload) ### Since |version|desc| |---|---| |7.3.0.63||",
          "since": "|version|desc||---|---||7.3.0.63||"
        },
        "url": "docs/props/prependExtendParam.html"
      },
      {
        "cid": 29,
        "sid": "submitNoData",
        "name": "submitNoData",
        "label": "submitNoData",
        "data": {
          "body": "> 업로드할 파일이 없는 경우 서버에 request 전송 여부를 설정합니다. > `0` 설정 시 업로드 또는 삭제할 파일이 없는 경우 서버로의 upload 명령을 무시합니다. (default : 1) ### Syntax ```javascript $(Selector).IBUpload({ submitNoData: numberValue }); ``` ### See also * [upload 메소드](/docs/funcs/upload) ### Since |version|desc| |---|---| |7.3.0.52||",
          "since": "|version|desc||---|---||7.3.0.52||"
        },
        "url": "docs/props/submitNoData.html"
      },
      {
        "cid": 30,
        "sid": "target",
        "name": "target",
        "label": "target",
        "data": {
          "body": "> 폼(form)을 전송할 타겟을 지정합니다. > IBUpload 컨트롤은 내부적으로 별도의 iframe을 사용하여 처리하기 때문에 target이 특정 iframe의 name으로 설정되어 있습니다. > 화면 전체를 reload 되도록 작업할 경우 target을 _self로 지정할 수 있습니다. > `IBUpload컨트롤과 다른 폼 항목을 동시 작업 할 경우` form.submit()호출 대신 `$(Selector).IBUpload(\"upload\")`를 호출하여 해당 페이지를 처리합니다. ### Syntax ```javascript $(Selector).IBUpload({ target: stringValue }); ``` ### Example ```javascript $( \"#myUpload\").IBUpload({ target: \"_self\", }); function doAction(sAction, arg) { switch (sAction) { case 'save': $('#myUpload').IBUpload('extendParamUpload',FormQueryStringEnc(document.myForm,false)); $('#myUpload').IBUpload('upload'); break; } } ``` ### See also ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/target.html"
      },
      {
        "cid": 31,
        "sid": "theme",
        "name": "theme",
        "label": "theme",
        "data": {
          "body": "> IBUpload의 viewType이 icon일 경우 테마 디자인을 설정합니다. ### Syntax ```javascript $(Selector).IBUpload({ theme: stringValue }); ``` ### Info |Name|Type|Default|Description| |----|----|----|-------| |theme|`string`|\"Main\"|설정하기 위해서는 세부사항 작업이 필요합니다. (`viewType이 ibsheet`일 경우 info에서 sheet생성시 테마 추가 및 수정 필요)| ### Example ```javascript $( \"#myUpload\").IBUpload({ target: \"_self\", }); function doAction(sAction, arg) { switch (sAction) { case 'save': $('#myUpload').IBUpload('extendParamUpload',FormQueryStringEnc(document.myForm,false)); $('#myUpload').IBUpload('upload'); break; } } ``` ### See also ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/theme.html"
      },
      {
        "cid": 32,
        "sid": "uploadServerUrl",
        "name": "uploadServerUrl",
        "label": "uploadServerUrl",
        "data": {
          "body": "> 업로드 기능을 제공하는 서버 쪽 jsp 프로그램의 경로를 설정합니다. > 제품 초기화로 최초 1회 실행되지만, uploadServerUrl 메소드를 통해 업로드 직전 해당 경로를 변경할 수 있습니다. ### Syntax ```javascript $(Selector).IBUpload({ uploadServerUrl:URL(stringValue) }); ``` ### See also * [uploadServerUrl 메소드](/docs/funcs/uploadServerUrl) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/props/uploadServerUrl.html"
      },
      {
        "cid": 33,
        "sid": "useDragDrop",
        "name": "useDragDrop",
        "label": "useDragDrop",
        "data": {
          "body": "> 윈도우즈 탐색기로부터 Drag-Drop 기능을 사용하여 업로드 컨트롤에 파일을 포함할 수 있는지의 여부를 설정합니다. `IE10 이상 지원` > 윈도우 탐색기와 브라우저에서의 권한이 서로 다른 경우에는 사용자의 윈도우즈 환경적, 보안적 특성상의 이유에 따라 드래그 드랍이 불가능할 수도 있습니다. ### Syntax ```javascript $(Selector).IBUpload({ useDragDrop : Boolean }); ``` ### See also * [add 메소드](/docs/funcs/add) ### Since |version|desc| |---|---| |7.3.0.17||",
          "since": "|version|desc||---|---||7.3.0.17||"
        },
        "url": "docs/props/useDragDrop.html"
      },
      {
        "cid": 34,
        "sid": "userAgent",
        "name": "userAgent",
        "label": "userAgent",
        "data": {
          "body": "> 조회나 저장시 request header 정보에 포함되어 넘어가는 값을 설정합니다. > `ibuploadinfo.js`에 userAgent를 설정하면 서버로 파일 전송시 헤더 정보에 지정한 문자가 포함되어 전달됩니다. ### Syntax ```javascript ibleaders.ibupload = { userAgent:[{name:value},{name2:value2}...] }; ``` ### Example ```javascript // 예제 - ibuploadinfo.js 파일의 설정 내용 // 콘트롤의 파일들 중, 선택한 파일들만 제거한다. ibleaders.ibupload={ userAgent : [{\"AjaxComponent\":\"IBUpload\"},{\"Say\":\"Hello!!!\"}] }; // 예제 - 서버파트(jsp 예) // 헤더 정보를 가져온다. System.out.println(request.getHeader(\"Say\")); //Hello!!! ``` ### See also ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/props/userAgent.html"
      },
      {
        "cid": 35,
        "sid": "userInputName",
        "name": "userInputName",
        "label": "userInputName",
        "data": {
          "body": "> 서버로 전송하는 파일의 name 을 기본값 (file) 대신 다른 이름으로 설정하여 전송합니다. > `ibuploadinfo.js`에 userInputName 을 설정하면 서버로 파일을 업로드할 때에 `input` 태그의 이름이 각각 다르게 변경되어 전송됩니다. ### Syntax ```javascript // ibuploadinfo.js 안에서 설정 (only 전역설정) ibleaders.ibupload ={ userInputName: stringValue }; ``` 아래의 예제는 사용자가 총 두 차례로 파일 추가를 실행 (첫 번째에는 1개의 파일만 선택, 두 번째에는 멀티로 2개를 동시 선택하여 추가하여 총 3개의 파일을 추가 하였음) 한 뒤에 서버로 업로드 했을 때 전송된 자료의 모습입니다. ### Example ```javascript // serInputName 미설정시 – name 이 항상 ‘file’ 로 name 이 고정됨 <input type=\"file\" name=\"file\"> <input type=\"file\" name=\"file\"> <input type=\"file\" name=\"file\"> ``` ```javascript // userInputName = \"myFile\" 설정시 – 설정한 값대로 ‘myFile’ 로 고정됨 <input type=\"file\" name=\"myfile\"> <input type=\"file\" name=\"myfile\"> <input type=\"file\" name=\"myfile\"> ``` ```javascript // (userInputName = \"myFile#\" 설정시 – name 마다 각각 고유한 숫자가 붙음 <input type=\"file\" name=\"myfile0_0_0\"> <input type=\"file\" name=\"myfile0_1_0\"> <input type=\"file\" name=\"myfile0_1_1\"> ``` #### 주의사항 * 위의 속성은 버전 `7.3.0.19` 이후의 버전에서 제공되는 기능이며, 7.3.0.18 이전 버전에서는 userInputName 를 사용할 수 없습니다. * 7.3.0.1 ~ 7.3.0.18 버전에서 제공된 `ibupload.jsp` 로 운영되는 사이트에서는 ibuploadinfo.js 안에서 userInputName 이 선언된 경우 주석으로 가려야만 정상적으로 동작합니다. ### See also ### Since |version|desc| |---|---| |7.3.0.19||",
          "since": "|version|desc||---|---||7.3.0.19||"
        },
        "url": "docs/props/userInputName.html"
      }
    ]
  },
  {
    "gid": 4,
    "name": "funcs",
    "label": "Methods",
    "children": [
      {
        "cid": 36,
        "sid": "add",
        "name": "add",
        "label": "add",
        "data": {
          "body": "> 업로드할 파일 선택 창을 띄워서 파일을 선택하면 업로드 처리를 진행합니다. > 브라우저의 지원 여부에 따라 파일을 동시에 1 개 또는 여러 개를 동시에 선택하여 업로드 할 수 있습니다. ### Syntax ```javascript $(Selector).IBUpload(\"add\" [,object ]); // Method ``` ### Info 1. 가장 먼저 `onAddFile` 이벤트가 발생합니다. 2. callback 함수를 실행합니다. 3. `autoUpload=true` 인 경우 즉시 업로드 전송 호출을 합니다. 4. 업로드가 모두 완료됩니다. * add 메소드와 upload 메소드는 첫번째 인자로 IBUpload 컨트롤의 초기 생성 객체를 재설정하는 기회를 제공합니다. * add 또는 upload 메소드가 호출되고 난 직후, IBUpload 의 모든 속성과 모든 이벤트들 중 일부를 재설정 할 수 있습니다. * (단, 초기화 로딩 시점에서 화면에 표시와 관련되는 iconMode 나 theme 속성은 여기에서 재설정한다고 즉시 적용되는 것은 아니며, 이 설정 시점 이후로 동작에 영향을 주는 limitFileCount 등의 모든 속성과 onMessage 이벤트등의 모든 이벤트들은 재설정이 가능합니다.) * 또한, 첫번째 인자 안에 callback 속성에 함수를 선언하면 함수가 호출된 직후의 로직을 추가할 수 있으며 다음과 같은 순서로 콜백함수와 관련 이벤트가 발생합니다. ### Example ```javascript $('#myUpload').IBUpload('add', { onAddFile: function(files){ alert('파일 추가 로직이 변경되었습니다 '); }, callback: function(){ alert('파일을 추가 합니다. '); } }); ``` ### See also ### Since |version|desc| |---|---| |7.3.0.0|| |7.3.0.21|속성과 이벤트의 재정의 기능|",
          "since": "|version|desc||---|---||7.3.0.0|||7.3.0.21|속성과 이벤트의 재정의 기능|"
        },
        "url": "docs/funcs/add.html"
      },
      {
        "cid": 37,
        "sid": "addDropFile",
        "name": "addDropFile",
        "label": "addDropFile",
        "data": {
          "body": "> 드래그-드랍 이벤트를 이용하여 IBUpload 컨트롤로 파일들을 추가합니다 > 브라우저의 지원 여부에 따라 파일을 동시에 1 개 또는 여러 개를 동시에 선택하여 업로드 할 수 있습니다. ### Syntax ```javascript $(Selector).IBUpload(\"addDropFile\", event); // Method ``` ### Info * 특정 DIV 태그에 drop 이벤트를 걸어두어 사용자가 해당 영역에 드래그-드랍을 통한 파일들을 추가하게 되면, `addDropFile` 의 메소드에 event 를 인자로 전달해 주어, 사용자가 드랍한 파일들을 모두 IBUpload 컨트롤로 추가하게 됩니다. * useDragDrop 속성을 `true` 로 사용하면 이미 자체 컨트롤에서 이러한 기능이 동작하게 되므로 파일이 중복 추가 현상이 나타날 수 있습니다. 따라서 useDragDrop 속성은 반드시 `false 로 설정해야 정상 동작` 합니다. 아래의 예제와 같이 특정 DIV 태그와 관련해서 최소한 3개의 이벤트(dragenter, dragover, drop )는 반드시 걸어두어야 합니다. ### Example ```javascript $(\"#userDropDiv\").on('dragenter', function(e) { e.stopPropagation();// 필수 e.preventDefault();// 필수 $(\"#userDropDiv\").css('border', '5px dotted #ff6666'); // 옵션. 드래그시 테두리 점선 }); $(\"#userDropDiv\").on('dragover', function(e) { e.stopPropagation(); e.preventDefault(); }); $(\"#userDropDiv\").on('drop', function(e) { e.preventDefault(); $(\"#myUpload\").IBUpload(\"addDropFile\", e); // 핵심 한 줄!! $(\"#userDropDiv\").css('border', '1px solid black'); // 디자인 옵션 (동작에 필수 아님 - 드랍시 테두리를 원래대로 표시한다 ) }); ``` ### See also * [add 메소드](/docs/funcs/add) * [useDragDrop 속성](/docs/props/useDragDrop) ### Since |version|desc| |---|---| |7.3.0.20||",
          "since": "|version|desc||---|---||7.3.0.20||"
        },
        "url": "docs/funcs/addDropFile.html"
      },
      {
        "cid": 38,
        "sid": "addFiles",
        "name": "addFiles",
        "label": "addFiles",
        "data": {
          "body": "> 컨트롤 내에 추가된 파일 목록들을 데이터 객체를 얻습니다. ### Syntax ```javascript result = $(Selector).IBUpload(\"addFiles\"); // GET ``` ### Info |Name|Type|Default|Description| |----|----|----|---------| |`name`|`string`||업로드 했던 원본 명칭(폴더 명이 제외된 순수한 파일명)| |`date`|`string`||YYYYMMDDhhmmss(년월일시분초) 형식으로 구성된 문자열 업로드했던 날짜와 시간| |`size`|`number`||업로드 파일의 용량(byte)| |`url`|`string`||파일 업로드가 완료된 경우 서버로부터 다운로드 가능한 URL ### See also * [files 속성](/docs/props/files) ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/funcs/addFiles.html"
      },
      {
        "cid": 39,
        "sid": "allFiles",
        "name": "allFiles",
        "label": "allFiles",
        "data": {
          "body": "> 컨트롤 내에 파일 목록들을 JSON 형태의 문자열로 얻습니다. ### Syntax ```javascript result = $(Selector).IBUpload(\"allFiles\"); // GET ``` ### Info |Name|Type|Default|Description| |----|----|----|---------| |`name`|`string`||업로드 했던 원본 명칭(폴더 명이 제외된 순수한 파일명)| |`date`|`string`||YYYYMMDDhhmmss(년월일시분초) 형식으로 구성된 문자열 업로드했던 날짜와 시간| |`size`|`number`||업로드 파일의 용량(byte)| |`url`|`string`||파일 업로드가 완료된 경우 서버로부터 다운로드 가능한 URL ### See also * [files 속성](/docs/props/files) * [addFiles 메소드](/docs/funcs/addFiles) * [Files 메소드](/docs/funcs/files) ### Since |version|desc| |---|---| |7.3.0.3||",
          "since": "|version|desc||---|---||7.3.0.3||"
        },
        "url": "docs/funcs/allFiles.html"
      },
      {
        "cid": 40,
        "sid": "delete",
        "name": "delete",
        "label": "delete",
        "data": {
          "body": "> 업로드 컨트롤에 존재하는 파일들 중에서 선택한 파일들만 제거합니다. > upload 메소드를 호출하는 순간 서버쪽 저장된 파일도 삭제됩니다. ### Syntax ```javascript $(Selector).IBUpload(\"delete\", boolean); // Method ``` ### Info |Name|Type|Default|Description| |----|----|----|---------| |`boolean`|`boolean`|true|삭제할 파일 존재 여부 체크 및 메세지 이용 여부(INFO-041)| ### Example ``` javascript // 콘트롤의 파일들 중, 선택한 파일들만 제거한다. $('#myUpload').IBUpload(\"delete\"); ``` ### See also * [deleteAll 메소드](/docs/funcs/deleteAll) * [deleteIndex 메소드](/docs/funcs/deleteIndex) * [deleteServer 메소드](/docs/funcs/deleteServer) * [deleteReserved 메소드](/docs/funcs/deleteReserved) ### Since |version|desc| |---|---| |7.3.0.0|| |7.3.0.14|boolean 인자 추가|",
          "since": "|version|desc||---|---||7.3.0.0|||7.3.0.14|boolean 인자 추가|"
        },
        "url": "docs/funcs/delete.html"
      },
      {
        "cid": 41,
        "sid": "deleteAll",
        "name": "deleteAll",
        "label": "deleteAll",
        "data": {
          "body": "> 업로드 컨트롤에 담겨 있는 전체 파일들을 제거합니다. > upload 메소드를 호출하는 순간 서버쪽 저장된 파일도 삭제됩니다. ### Syntax ```javascript $(Selector).IBUpload(\"deleteAll\"); ``` ### See also * [delete 메소드](/docs/funcs/delete) * [deleteIndex 메소드](/docs/funcs/deleteIndex) * [deleteServer 메소드](/docs/funcs/deleteServer) * [deleteReserved 메소드](/docs/funcs/deleteReserved) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/deleteAll.html"
      },
      {
        "cid": 42,
        "sid": "deleteFiles",
        "name": "deleteFiles",
        "label": "deleteFiles",
        "data": {
          "body": "> 업로드 콘트롤에 담겨 있는 파일들 중, 특정 파일들 n 개를 제거합니다. ### Syntax ```javascript $(Selector).IBUpload(\"delete\", boolean); // Method ``` ### Info * files 메소드에 입력하는 파일 목록과 같이 삭제하려는 파일 목록을 지정하면 해당 파일의 id(파일 추가시 자동 발급 받음) 나 url(서버 전송 후 자동 수신 받음) 이 일치하는 파일들을 제거합니다. 아래는 모두 컨트롤의 전체 파일을 삭제하는 기능을 동일하게 수행합니다. ```javascript $(\"#myUpload\").IBUpload(\"deleteFiles\",$(\"#myUpload\").IBUpload(\"fileList\")); $(\"#myUpload\").IBUpload(\"deleteAll\"); $(\"#myUpload\").IBUpload(\"reset\"); ``` * removeAll 과 reset - `onBeforeDeleteFile` 에서 제거를 거부해도 `reset` 은 초기상태로 돌아가므로 모두 제거되며, `removeAll` 은 모든 파일을 삭제시도하는 중에 onBeforeDeleteFile 이벤트에서 제거를 거부하면 여전히 파일이 남게 됩니다. ### Example ``` javascript // 특정 셀에 첨부된 파일 목록들을 모두 지운다. $('#myUpload').IBUpload(\"deleteFiles\", mySheet.GetCellValue(mySheet.GetSelectRow(), \"fileData\")); ``` ### See also * [delete 메소드](/docs/funcs/delete) * [reset 메소드](/docs/funcs/reset) * [deleteFiles 메소드](/docs/funcs/deleteFiles) * [deleteReserved 메소드](/docs/funcs/deleteReserved) * [deleteServer 메소드](/docs/funcs/deleteServer) * [onBeforeDeleteFile 이벤트](/docs/events/onBeforeDeleteFile) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/deleteFiles.html"
      },
      {
        "cid": 43,
        "sid": "deleteIndex",
        "name": "deleteIndex",
        "label": "deleteIndex",
        "data": {
          "body": "> 업로드 콘트롤에 담겨 있는 파일들 중, 특정 위치의 파일 1개만 제거합니다. ### Syntax ```javascript $(Selector).IBUpload(\"deleteIndex\", number); // Method ``` ### Info * 0 베이스 인덱스 체계 이므로, 인덱스를 0 으로 주면 컨트롤의 첫번째 파일만 제거됩니다. * fileList 메소드를 이용하여 전체 배열을 얻어서 반복적으로 제거할 경우 루프를 거꾸로 역순으로 돌면서 제거를 해야 전체적으로 올바른 결과를 얻을 수 있습니다. ### Example ``` javascript var i = 0; var fileList = []; fileList = $('#myUpload').IBUpload('fileList'); // 전체 파일 목록을 얻는다. for (i = fileList.length-1; i >= 0; i--) { // 반드시 역순으로 돌아야 제거 직후에 자료가 밀리거나 당겨지는 일이 없다. if (fileList[i].name.indexOf(\".jpg\") > -1 ) { // jpg 파일만 모두 제거 $('#myUpload').IBUpload('deleteIndex', i); } } ``` ### See also * [delete 메소드](/docs/funcs/delete) * [deleteAll 메소드](/docs/funcs/deleteAll) * [deleteReserved 메소드](/docs/funcs/deleteReserved) * [deleteServer 메소드](/docs/funcs/deleteServer) * [onBeforeDeleteFile 이벤트](/docs/events/onBeforeDeleteFile) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/deleteIndex.html"
      },
      {
        "cid": 44,
        "sid": "deleteReserved",
        "name": "deleteReserved",
        "label": "deleteReserved",
        "data": {
          "body": "> 서버 쪽에서도 제거해야 할 파일 목록들을 얻는다. ### Syntax ```javascript var myFiles = \"\"; myFiles = $(Selector).IBUpload(\"deleteReserved\"); // Get StringValue ``` ### Info * files 속성(또는 메소드) 을 이용하여 업로드 컨트롤에 파일들을 채워서 조회한 시점 이후로 사용자가 파일을 제거하면, `autoUpload=true` 인 경우 서버에서도 즉시 제거되지만, `autoUpload=false` 인 경우에는 upload 메소드를 호출할 때 까지 서버에서는 아무런 반응을 하지 않습니다. * 사용자가 제거한 파일은 upload 메소드를 호출하여 서버 쪽으로 제거해야 할 파일 목록들이 전달되는데, 이와 같이 화면에서는 제거되었으나 서버에서는 아직 제거되지 않은 상태로 있는 동안에 이 메소드를 호출하면 제거하기로 예약되어 있는 모든 파일들의 목록을 얻을 수 있습니다. * upload 메소드를 통하여 서버에서도 지워야 할 항목들을 제거하게 되면, 이 메소드에서는 이후로 널 값이 리턴됩니다. 리턴 값에는 files, linkDown 메소드에서 사용하는 리턴 값이나 설정 값과 그 형식이 동일합니다. ### Example ``` javascript var i = 0; var fileList = []; fileList = $('#myUpload').IBUpload('fileList'); // 전체 파일 목록을 얻는다. for (i = fileList.length-1; i >= 0; i--) { // 반드시 역순으로 돌아야 제거 직후에 자료가 밀리거나 당겨지는 일이 없다. if (fileList[i].name.indexOf(\".jpg\") > -1 ) { // jpg 파일만 모두 제거 $('#myUpload').IBUpload('deleteIndex', i); } } ``` ### See also * [delete 메소드](/docs/funcs/delete) * [deleteIndex 메소드](/docs/funcs/deleteIndex) * [deleteAll 메소드](/docs/funcs/deleteAll) * [deleteServer 메소드](/docs/funcs/deleteServer) * [files 메소드](/docs/funcs/files) * [linkDown 메소드](/docs/funcs/linkDown) * [onBeforeDeleteFile 이벤트](/docs/events/onBeforeDeleteFile) ### Since |version|desc| |---|---| |7.3.0.7||",
          "since": "|version|desc||---|---||7.3.0.7||"
        },
        "url": "docs/funcs/deleteReserved.html"
      },
      {
        "cid": 45,
        "sid": "deleteServer",
        "name": "deleteServer",
        "label": "deleteServer",
        "data": {
          "body": "> 서버 쪽에 저장된 파일을 제거하도록 요청합니다. ### Syntax ```javascript $(Selector).IBUpload(\"deleteServer\", objectArray ); // Method ``` ### Info * `delete` 메소드는 컨트롤에 존재하는 파일들 중에서 선택한 파일들만 제거하고, 이후로 upload 메소드가 호출되는 순간에는 서버에서도 해당 파일을 자동으로 제거하게 되는데, `deleteServer` 메소드는 컨트롤에 존재하지 않더라도 유효한 url 을 가진 files 정보만 인자로 설정하여 호출하면, 이후로 upload 메소드가 호출되는 순간에 서버에서도 해당 파일을 자동으로 제거하게 됩니다. * 인자의 형식은 files 메소드나 linkDown 메소드와 동일합니다. 지정된 name 이나 size 속성들은 모두 무시하고 `url` 값만 참조하여 서버로 `__delList` 라는 명칭으로 upload 메소드 호출시 함께 전송합니다. ### Example ``` javascript // 컨트롤에 존재하지 않더라도 서버쪽까지 해당 파일정보를 통하여 특정 파일을 제거하기 위하여 인자로 제공한다. $(\"#myUpload\").IBUpload(\"deleteServer\",\"{'name':'연습.hwp', 'url':'20160126_180337_82754651'}, {'name':'삶.ppt', 'url':'20160126_180801'}\"); ``` ### See also * [delete 메소드](/docs/funcs/delete) * [deleteIndex 메소드](/docs/funcs/deleteIndex) * [deleteAll 메소드](/docs/funcs/deleteAll) * [deleteServer 메소드](/docs/funcs/deleteServer) * [deleteReserved 메소드](/docs/funcs/deleteReserved) * [files 메소드](/docs/funcs/files) * [linkDown 메소드](/docs/funcs/linkDown) * [onBeforeDeleteFile 이벤트](/docs/events/onBeforeDeleteFile) ### Since |version|desc| |---|---| |7.3.0.6||",
          "since": "|version|desc||---|---||7.3.0.6||"
        },
        "url": "docs/funcs/deleteServer.html"
      },
      {
        "cid": 46,
        "sid": "download-2",
        "name": "download",
        "label": "download",
        "data": {
          "body": "> 1개 이상의 URL 파일들을 다운로드 받는다. > 업로드 콘트롤에 담겨 있는 파일들 중, 선택한 특정 파일들을 서버로부터 다운로드 받습니다. > 1개의 파일을 다운로드 받을 경우 해당 파일을 직접 다운로드 받지만, 2개 이상의 파일을 다운로드 받을 경우에는 zip 으로 압축하여 다운로드 됩니다. ### Syntax ```javascript $(Selector).IBUpload(\"download\"); // Method ``` ### Example ``` javascript // 컨트롤에 존재하지 않더라도 서버쪽까지 해당 파일정보를 통하여 특정 파일을 제거하기 위하여 인자로 제공한다. $(\"#myUpload\").IBUpload(\"deleteServer\",\"{'name':'연습.hwp', 'url':'20160126_180337_82754651'}, {'name':'삶.ppt', 'url':'20160126_180801'}\"); ``` ### See also * [downloadAll 메소드](/docs/funcs/download) * [deleteAll 메소드](/docs/funcs/deleteAll) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/download.html"
      },
      {
        "cid": 47,
        "sid": "downloadAll",
        "name": "downloadAll",
        "label": "downloadAll",
        "data": {
          "body": "> 전체 파일을 다운받습니다. > 1개의 파일을 다운로드 받을 경우 해당 파일을 직접 다운로드 받지만, 2개 이상의 파일을 다운로드 받을 경우에는 zip 으로 압축하여 다운로드 받습니다. ### Syntax ```javascript $(Selector).IBUpload(\"downloadAll\"); // Method ``` ### Example ``` javascript // 컨트롤에 존재하지 않더라도 서버쪽까지 해당 파일정보를 통하여 특정 파일을 제거하기 위하여 인자로 제공한다. $(\"#myUpload\").IBUpload(\"deleteServer\",\"{'name':'연습.hwp', 'url':'20160126_180337_82754651'}, {'name':'삶.ppt', 'url':'20160126_180801'}\"); ``` ### See also * [download 메소드](/docs/funcs/download) * [deleteAll 메소드](/docs/funcs/deleteAll) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/downloadAll.html"
      },
      {
        "cid": 48,
        "sid": "downloadFileName-2",
        "name": "downloadFileName",
        "label": "downloadFileName",
        "data": {
          "body": "> 2건 이상의 파일 다운로드 시 zip로 파일을 받게 되는데 이 때의 zip파일의 이름을 설정하거나 확인합니다. ### Syntax ```javascript $(Selector).IBUpload(\"downloadFileName\", stringValue); //SET $(Selector).IBUpload(\"downloadFileName\"); //GET ``` ### See also ### Since |version|desc| |---|---| |7.3.0.5||",
          "since": "|version|desc||---|---||7.3.0.5||"
        },
        "url": "docs/funcs/downloadFileName.html"
      },
      {
        "cid": 49,
        "sid": "downloadServerUrl-2",
        "name": "downloadServerUrl",
        "label": "downloadServerUrl",
        "data": {
          "body": "> 다운로드 기능을 제공하는 서버 쪽 jsp 프로그램의 경로를 재설정 합니다. > 다운로드 직전에 해당 경로를 수시로 변경할 수 있습니다. ### Syntax ```javascript $(Selector).IBUpload(\"downloadServerUrl\",stringValue); ``` ### See also * [downloadServerUrl 속성](/docs/props/downloadServerUrl) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/downloadServerUrl.html"
      },
      {
        "cid": 50,
        "sid": "dropSheetRow",
        "name": "dropSheetRow",
        "label": "dropSheetRow",
        "data": {
          "body": "> IBSheet 의 특정 Cell 로 파일들을 Drop 한 경우, 특정 Cell 의 위치에 해당되는 Row 값을 얻습니다. > onDragSheetRow 이벤트를 사용하여 드래그 중에 IBSheet 의 SelectCell 를 매번 마우스의 위치로 설정한다면, IBSheet의 `GetSelectRow` 값으로도 동일한 값을 얻을 수 있으므로 이 경우에는 본 메소드가 필요하지 않습니다. ### Syntax ```javascript $(Selector).IBUpload(\"downloadServerUrl\",stringValue); ``` ### Example ```javascript onAddFile: function(files) { if (ibleaders.ibupload.explicitJson == true) { files = JSON.stringify(files); // 객체 => 문자열 } else { files = \"[\" + files + \"]\"; } //var iRow =mySheet.GetSelectRow(); var iRow = $('#myUpload').IBUpload(\"dropSheetRow\"); // 셀파일제거 ver 73024 이상에서만 지원됨. $('#myUpload').IBUpload(\"deleteFiles\", mySheet.GetCellValue(iRow, \"fileData\")); mySheet.SetCellValue(iRow, \"fileData\", files); mySheet.SetCellValue(iRow, \"fileIcon\", fildData_2_IconTextList(files)); }, ``` ### See also * [downloadServerUrl 속성](/docs/props/downloadServerUrl) ### Since |version|desc| |---|---| |7.3.0.28||",
          "since": "|version|desc||---|---||7.3.0.28||"
        },
        "url": "docs/funcs/dropSheetRow.html"
      },
      {
        "cid": 51,
        "sid": "dropTarget",
        "name": "dropTarget",
        "label": "dropTarget",
        "data": {
          "body": "> IBSheet 의 Cell 로 파일 첨부를 연동할 경우, 어느 IBSheet 와 연동할지 ID 를 지정합니다. > 많은 IBSheet 중에서 어떤 IBSheet 로 파일을 드래그 & 드랍 할때에 IBUpload 에서 파일첨부 기능을 연동할지 ID 를 설정해야 그 이후로 드래그 & 드랍을 통한 연동이 시작됩니다. > IBUpload 와 IBSheet 간의 연동이므로 두 컨트롤 모두 생성이 완료된 후에, 본 메소드를 호출해야 정상 동작합니다. ### Syntax ```javascript $(Selector).IBUpload(\"dropTarget\", StringValue ); ``` ### Example ```javascript $('#myUpload').IBUpload('dropTarget','mySheet'); ``` ### See also * [dropSheetRow 메소드](/docs/funcs/dropSheetRow) * [onDragSheetRow 이벤트](/docs/events/onDragSheetRow) ### Since |version|desc| |---|---| |7.3.0.28||",
          "since": "|version|desc||---|---||7.3.0.28||"
        },
        "url": "docs/funcs/dropTarget.html"
      },
      {
        "cid": 52,
        "sid": "extendParamDownload",
        "name": "extendParamDownload",
        "label": "extendParamDownload",
        "data": {
          "body": "> `downloadServerUrl` 속성에 설정한 다운로드 전용 서버쪽 프로그램으로 파일 다운로드 요청 정보를 전송할 때 폼안에 추가 데이터를 함께 보낼 수 있습니다. > 데이터의 개수만큼 <input> 태그들이 함께 전송 되므로 서버 쪽에서는 `request.getParameter()` 같은 방법으로 해당 값들을 전송한 그대로 얻을 수 있습니다. ### Syntax ```javascript $(Selector).IBUpload(\"extendParamDownload\",\"prop=value&id2=value2\"); $(Selector).IBUpload(\"extendParamDownload\", \"inputName\", stringValue); ``` ### Example ```javascript // 예제 1 $(Selector).IBUpload(\"extendParamDownload\", \"userid=user-id10012&content=올해의 신청자료\"); 아래와 같이 폼 안에 추가되어 전송됩니다. <input type=\"hidden\" name=\"user-id\" value=\"user-id10012\"> <input type=\"hidden\" name=\"content\" value=\"올해의 신청자료 \"> // 예제 2 $(Selector).IBUpload(\"extendParamDownload\",\"myReq\",\"uestuserid=user-id10012&content=올해의 신청자료\"); 아래와 같이 폼 안에 추가되어 전송됩니다. <input type=\"hidden\" name=\"myReq\" value=\"uestuserid=user-id10012&content=올해의 신청자료\"> ``` ### See also ### Since |version|desc| |---|---| |7.3.0.28||",
          "since": "|version|desc||---|---||7.3.0.28||"
        },
        "url": "docs/funcs/extendParamDownload.html"
      },
      {
        "cid": 53,
        "sid": "extendParamUpload",
        "name": "extendParamUpload",
        "label": "extendParamUpload",
        "data": {
          "body": "> `uploadServerUrl` 속성에 설정한 업로드 전용 서버쪽 프로그램으로 파일을 전송할때 폼안에 추가 데이터를 함께 보낼 수 있습니다. > 데이터의 개수만큼 <input> 태그들이 함께 전송 되므로 서버 쪽에서는 `request.getParameter()` 같은 방법으로 해당 값들을 전송한 그대로 얻을 수 있습니다. ### Syntax ```javascript $(Selector).IBUpload(\"extendParamUpload\",\"prop=value&id=value2\"); $(Selector).IBUpload(\"extendParamUpload\", \"inputName\", stringValue); ``` ### Example ```javascript // 예제 1 $(Selector).IBUpload(\"extendParamUpload\", \"userid=user-id10012&content=올해의 신청자료\"); 아래와 같이 폼 안에 추가되어 전송된다. <input type=\"hidden\" name=\"user-id\" value=\"user-id10012\"> <input type=\"hidden\" name=\"content\" value=\"올해의 신청자료 \"> // 예제 2 $(Selector).IBUpload(\"extendParamUpload\",\"myReq\",\"uestuserid=user-id10012&content=올해의 신청자료\"); 아래와 같이 폼 안에 추가되어 전송된다. <input type=\"hidden\" name=\"myReq\" value=\"uestuserid=user-id10012&content=올해의 신청자료\"> ``` ### See also ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/extendParamUpload.html"
      },
      {
        "cid": 54,
        "sid": "fileCount",
        "name": "fileCount",
        "label": "fileCount",
        "data": {
          "body": "> 컨트롤 내에 추가된 파일의 개수를 얻습니다. ### Syntax ```javascript result = $(Selector).IBUpload(\"fileCount\"); // GET ``` ### See also * [limitFileCount 메소드](/docs/funcs/limitFileCount) * [fileUploadedCount 메소드](/docs/funcs/fileUploadedCount) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/fileCount.html"
      },
      {
        "cid": 55,
        "sid": "fileList",
        "name": "fileList",
        "label": "fileList",
        "data": {
          "body": "> 컨트롤 내에 포함되어 있는 모든 파일들을 하나의 배열로 얻습니다. > 컨트롤에 표시된 파일들이 그대로 배열로 구성되므로, 대기중인 파일들과 이미 서버에 저장되어서 다운로드 가능한 파일들까지 모두 포함하여 리턴되며, 파일의 배치 순서와 개수까지 정확히 일치합니다. ### Syntax ```javascript var result = []; result = $(Selector).IBUpload(\"fileList\"); // GET ``` ### Example ```javascript // 컨트롤에 표시된 모든 파일들의 파일명을 순서대로 표시하기 var i = 0; var fileList = []; fileList = $('#myUpload').IBUpload('fileList'); for (i = 0; i < fileList.length; i++) { // 모든 파일들을 표시하기 위하여 루프를 돈다. alert(fileList[i].name); // 각각의 파일명을 표시한다. } ``` ### See also * [files 메소드](/docs/funcs/files) ### Since |version|desc| |---|---| |7.3.0.5||",
          "since": "|version|desc||---|---||7.3.0.5||"
        },
        "url": "docs/funcs/fileList.html"
      },
      {
        "cid": 56,
        "sid": "fileUploadedCount",
        "name": "fileUploadedCount",
        "label": "fileUploadedCount",
        "data": {
          "body": "> 컨트롤 내에 업로드 완료된 파일의 개수를 얻습니다. > 컨트롤 내에 추가된 전체 파일 중 대기중이 아니라, 서버로 업로드가 완료된 개수를 얻습니다. ### Syntax ```javascript result = $(Selector).IBUpload(\"fileUploadedCount\"); // GET ``` ### See also * [fileCount 메소드](/docs/funcs/fileCount) * [limitFileCount 메소드](/docs/funcs/limitFileCount) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/fileUploadedCount.html"
      },
      {
        "cid": 57,
        "sid": "files-3",
        "name": "files",
        "label": "files",
        "data": {
          "body": "> 컨트롤 내에 추가된 파일 목록 중 파일상태가 다운로드 가능한 목록을 데이터 객체로 얻거나 전체파일 목록을 설정합니다. > 전체 파일목록을 얻기 위해서는 `allFiles` 메소드 사용하고, 컨트롤의 파일을 설정할때는 컨트롤의 파일은 모두 삭제되고 설정됩니다. ### Syntax ```javascript var result = $(Selector).IBUpload(\"files\"); // GET $(Selector).IBUpload(\"files\", string or objectValue); // SET ``` ### Info |Name|Type|Default|Description| |----------|-----|---|----| |`name`|`string`|업로드 했던 파일 원본 명칭(폴더 명이 제외된 순수한 파일명)| |`date`|`string`|YYYYMMDDhhmmss(년월일시분초) 형식으로 구성된 문자열. 업로드했던 날짜와 시간| |`size`|`number`|업로드 파일의 용량 (Byte 단위)| |`url`|`string`|파일 업로드가 완료된 경우 서버로부터 다운로드 가능한 URL| ### See also * [files 속성](/docs/props/files) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/files.html"
      },
      {
        "cid": 58,
        "sid": "iconMode-2",
        "name": "iconMode",
        "label": "iconMode",
        "data": {
          "body": "> 컨트롤 내부의 생성 모양을 설정합니다. > 제공되는 모드는 `icon`, `list`, `detail` 형태이며 각 모드별 사용 변경은 css를 통해 컨트롤 가능합니다. ### Syntax ```javascript $(Selector).IBUpload(\"iconMode\", stringValue); //SET $(Selector).IBUpload(\"iconMode\"); //GET ``` ### See also ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/iconMode.html"
      },
      {
        "cid": 59,
        "sid": "isModified",
        "name": "isModified",
        "label": "isModified",
        "data": {
          "body": "> 컨트롤에서 새롭게 추가 또는 제거한 파일이 있는지 확인합니다. ### Syntax ```javascript var result = $(Selector).IBUpload(\"isModified\"); //GET ``` ### Info * 기존의 파일을 1개 이상 제거 또는 추가를 하여 \"대기중\" 인 상태로 있을 경우, upload 메소드를 호출하기 까지 isModified 메소드는 `true`를 리턴합니다. * 파일을 1개 이상 추가 또는 제거하여 upload 메소드를 호출하였으나, 서버에서 여러가지 원인에 따라 오류가 발생한 경우에는 여전히 isModified 는 `true` 로 유지됩니다. * `autoUpload=true` 인 경우에는 추가 및 제거시 즉각적인 upload 메소드가 자동으로 호출되므로 isModified 는 항상 `false` 를 리턴하게 됩니다. ### See also * [deleteReserved 메소드](/docs/funcs/deleteReserved) ### Since |version|desc| |---|---| |7.3.0.7||",
          "since": "|version|desc||---|---||7.3.0.7||"
        },
        "url": "docs/funcs/isModified.html"
      },
      {
        "cid": 60,
        "sid": "limitFileCount-2",
        "name": "limitFileCount",
        "label": "limitFileCount",
        "data": {
          "body": "> 컨트롤 내에 추가할 파일의 최대 개수를 얻거나 설정한다. > `주의` 동시에 N 개의 파일을 추가 시도 중에 최대 개수를 초과하게 되면 해당 N 개의 멀티 파일 선택 목록 전체가 추가 되지 않고 취소 됩니다. ### Syntax ```javascript var result = $(Selector).IBUpload(\"limitFileCount\"); // GET $(Selector).IBUpload(\"limitFileCount\", numberValue); // SET ``` ### See also * [limitFileCountOnce 메소드](/docs/funcs/limitFileCountOnce) * [limitFileSize 메소드](/docs/funcs/limitFileSize) * [limitFileTotalSize 메소드](/docs/funcs/limitFileTotalSize) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/limitFileCount.html"
      },
      {
        "cid": 61,
        "sid": "limitFileCountOnce-2",
        "name": "limitFileCountOnce",
        "label": "limitFileCountOnce",
        "data": {
          "body": "> 컨트롤 내에 한번에 추가할 파일의 최대 개수를 얻거나 설정한다. > `주의` 동시에 N 개의 파일을 추가 시도 중에 최대 개수를 초과하게 되면 해당 N 개의 멀티 파일 선택 목록 전체가 추가 되지 않고 취소 됩니다. ### Syntax ```javascript var result = $(Selector).IBUpload(\"limitFileCountOnce\"); // GET $(Selector).IBUpload(\"limitFileCountOnce\", numberValue); // SET ``` ### See also * [limitFileCount 메소드](/docs/funcs/limitFileCount) * [limitFileSize 메소드](/docs/funcs/limitFileSize) * [limitFileTotalSize 메소드](/docs/funcs/limitFileSize) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/limitFileCountOnce.html"
      },
      {
        "cid": 62,
        "sid": "limitFileSize-2",
        "name": "limitFileSize",
        "label": "limitFileSize",
        "data": {
          "body": "> 컨트롤 내에 추가할 파일의 최대 제한 용량을 얻거나 설정한다. > `주의` 동시에 N 개의 파일을 추가 시도 중에 최대 개수를 초과하게 되면 해당 N 개의 멀티 파일 선택 목록 전체가 추가 되지 않고 취소 됩니다. ### Syntax ```javascript var result = $(Selector).IBUpload(\"limitFileSize\"); // GET $(Selector).IBUpload(\"limitFileSize\", numberValue); // SET ``` ### Example ```javascript // 초기화 후에 최대 제한 용량을 변경함 $('#myUpload').IBUpload('limitFileSize', 1024 * 1024 * 1024); ``` ### See also * [limitFileCount 메소드](/docs/funcs/limitFileCount) * [limitFileTotalSize 메소드](/docs/funcs/limitFileTotalSize) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/limitFileSize.html"
      },
      {
        "cid": 63,
        "sid": "limitFileTotalSize-2",
        "name": "limitFileTotalSize",
        "label": "limitFileTotalSize",
        "data": {
          "body": "> 컨트롤 내에 추가할 모든 파일들의 총 합계의 최대 제한 용량을 얻거나 설정합니다. (byte 단위) > `주의` 동시에 N 개의 파일을 추가 시도 중에 최대 개수를 초과하게 되면 해당 N 개의 멀티 파일 선택 목록 전체가 추가 되지 않고 취소 됩니다. ### Syntax ```javascript var result = $(Selector).IBUpload(\"limitFileTotalSize\"); // GET $(Selector).IBUpload(\"limitFileTotalSize\", numberValue); // SET ``` ### Example ```javascript // 파일 1개 용량을 1 GB 로 제한한다. $('#myUpload').IBUpload(\"limitFileSize\", 1024 * 1024 * 1024); ``` ### See also * [limitFileSize 메소드](/docs/funcs/limitFileSize) * [limitFileCount 메소드](/docs/funcs/limitFileCount) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/limitFileTotalSize.html"
      },
      {
        "cid": 64,
        "sid": "linkDown",
        "name": "linkDown",
        "label": "linkDown",
        "data": {
          "body": "> IBUpload 컨트롤에서 선택된 파일 다운로드가 아닌 별도의 파일목록을 즉시 다운로드 받고 싶을 때 사용할 수 있도록 설정합니다. > 별도의 파일 목록들을 문자열로 지정하여 해당 파일만 즉시 다운로드 할 수 있도록 설정합니다. `stringValue`값에는 `files`메소드의 인자값과 그 형식이 동일합니다. ### Syntax ```javascript $(Selector).IBUpload(\"linkDown\",stringValue); // SET ``` ### Example ```javascript <script type=\"text/javascript\"> $(\"#myUpload\").IBUpload(\"linkDown\",'{name: \"관심과집중.mp4\", size: \"11417124\", date: \"20160101125959\", url: \"20160126_180337_82754651\"},{name: \"오렌지.jpg\", size: \"1075761\", date: \"20160101125959\", url: \"20160126_180801\"}'); </script> ``` ### See also * [download 메소드](/docs/funcs/download) * [downloadAll 메소드](/docs/funcs/downloadAll) * [files 메소드](/docs/funcs/files) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/linkDown.html"
      },
      {
        "cid": 65,
        "sid": "reset",
        "name": "reset",
        "label": "reset",
        "data": {
          "body": "> 업로드 컨트롤을 초기화합니다. > `주의` deleteAll 메소드는 upload메소드를 사용하면 삭제된 파일 내역이 서버에 전송되지만 reset메소드는 서버쪽으로 파일이 전송되지 않습니다. ### Syntax ```javascript $(Selector).IBUpload(\"reset\"); ``` ### See also * [deleteAll 메소드](/docs/funcs/deleteAll) ### Since |version|desc| |---|---| |7.3.0.4||",
          "since": "|version|desc||---|---||7.3.0.4||"
        },
        "url": "docs/funcs/reset.html"
      },
      {
        "cid": 66,
        "sid": "selectAll",
        "name": "selectAll",
        "label": "selectAll",
        "data": {
          "body": "> 업로드 콘트롤에 담겨 있는 모든 파일들을 전체 선택, 또는 전체 선택해제 처리합니다. ### Syntax ```javascript $(Selector).IBUpload(\"selectAll\", booleanValue); // SET ``` ### See also * [selectedIndex 메소드](/docs/funcs/selectedIndex) ### Since |version|desc| |---|---| |7.3.0.16||",
          "since": "|version|desc||---|---||7.3.0.16||"
        },
        "url": "docs/funcs/selectAll.html"
      },
      {
        "cid": 67,
        "sid": "selectedIndex",
        "name": "selectedIndex",
        "label": "selectedIndex",
        "data": {
          "body": "> 업로드 콘트롤에 담겨 있는 파일들 중, 특정 위치의 파일 1개의 선택 여부를 얻거나 설정합니다. > 0 베이스 인덱스 체계 이므로, 인덱스를 0 으로 주면 컨트롤의 첫번째 파일만 선택 또는선택 해제할 수 있습니다. > `fileList` 메소드를 이용하여 전체 배열을 얻어서 반복적으로 선택 또는 선택 해제 할 경우에는 루프를 도는 순서가 상관이 없으나, `제거를 포함할 경우`에는 반드시 루프를 `거꾸로`돌아야 전체적으로 올바른 결과를 얻을 수 있습니다. ### Syntax ```javascript $(Selector).IBUpload(\"selectedIndex\", {index:0, isSelected:true}); // SET var isSelected = $(Selector).IBUpload(\"selectedIndex\", {index:0 }); // GET ``` ### Example ```javascript var i = 0; var fileList = []; fileList = $('#myUpload').IBUpload('fileList'); // 전체 파일 목록을 얻는다. for (i = fileList.length-1; i >= 0; i--) { // 반드시 역순으로 돌아야 제거 직후에 자료가 밀리거나 당겨지는 일이 없다. if (fileList[i].name.indexOf(\".jpg\") > -1 && $('#myUpload').IBUpload('selectedIndex', {index:i}) == true) { // jpg 파일들 중에서 선택된 파일들만 모두 제거 $('#myUpload').IBUpload('deleteIndex', i); } } ``` ### See also * [selectAll 메소드](/docs/funcs/selectAll) * [fileList 메소드](/docs/funcs/fileList) ### Since |version|desc| |---|---| |7.3.0.16||",
          "since": "|version|desc||---|---||7.3.0.16||"
        },
        "url": "docs/funcs/selectedIndex.html"
      },
      {
        "cid": 68,
        "sid": "upload-2",
        "name": "upload",
        "label": "upload",
        "data": {
          "body": "> 수동 업로드(`autoUpload=false`) 방식에서, 대기 상태에 있던 모든 파일들을 즉시 업로드 합니다. > 자동 업로드 방식에서는 파일을 추가할 때마다 이 메소드가 내부적으로 자동 호출됩니다. > 파일을 전혀 추가하지 않더라도 upload 를 호출할때에는 폼에 파일만 첨부되지 않을 뿐, extendParamUpload 값들과 함께 자료들은 항상 서버로 전송 됩니다. ### Syntax ```javascript $(Selector).IBUpload(\"upload\" [, object ] ); // Method ``` ### Example ```javascript //IBSheet와 연동시 $('#myUpload').IBUpload('upload', { onUploadData: function(files){ alert('서버 응답 처리 로직이 변경되었습니다 '); }, callback: function(files){ alert('서버에 업로드를 처리한 직후 입니다.'); } }); ``` ### See also * [target 속성](/docs/props/target) * [add 메소드](/docs/funcs/add) ### Since |version|desc| |---|---| |7.3.0.0|| |7.3.0.21|속성과 이벤트의 재정의 기능|",
          "since": "|version|desc||---|---||7.3.0.0|||7.3.0.21|속성과 이벤트의 재정의 기능|"
        },
        "url": "docs/funcs/upload.html"
      },
      {
        "cid": 69,
        "sid": "uploadServerUrl-2",
        "name": "uploadServerUrl",
        "label": "uploadServerUrl",
        "data": {
          "body": "> 업로드 기능을 제공하는 서버 쪽 jsp 프로그램의 경로를 재설정 합니다. > `uploadServerUrl 속성`은 제품 초기화 시 최초에 1회만 실행되지만, `uploadServerUrl 메소드`는 업로드 직전에 해당 경로를 수시로 변경할 수 있다. ### Syntax ```javascript $(Selector).IBUpload(\"uploadServerUrl\",stringValue); ``` ### See also * [uploadServerUrl 속성](/docs/props/uploadServerUrl) * [downloadServerUrl 메소드](/docs/funcs/downloadServerUrl) ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/uploadServerUrl.html"
      },
      {
        "cid": 70,
        "sid": "version",
        "name": "version",
        "label": "version",
        "data": {
          "body": "> 업로드 콘트롤의 버전을 얻습니다. ### Syntax ```javascript $(Selector).IBUpload(\"version\"); ``` ### See also ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/funcs/version.html"
      }
    ]
  },
  {
    "gid": 5,
    "name": "events",
    "label": "Events",
    "children": [
      {
        "cid": 71,
        "sid": "onAddFile",
        "name": "onAddFile",
        "label": "onAddFile",
        "data": {
          "body": "> 사용자가 파일 선택이 완료되면 해당 이벤트가 발생합니다. > `add() 메소드`를 통해 파일을 선택하면 문자열로 리턴됩니다. ### Syntax ```javascript $(Selector).IBUpload({ onAddFile:function(files, addFileObject){ // 사용자 로직 } }); ``` ### Info |Name|Type|Default|Description| |----------|-----|---|----| |files|`string` or `object`||name, size, date, url 문자열( `explicitJson = true` 인 경우에는 object 타입으로 리턴)| |addFileObject|`object`||추가된 파일 객체 (브라우저가 제공하는 파일 객체)| ### Example ```javascript //IBSheet와 연동시 $('#myUpload').IBUpload({ onAddFile: function(files){ mySheet.SetCellValue(mySheet.GetSelectRow(),\"filedata\",files); mySheet.SetCellValue(mySheet.GetSelectRow(),\"filetext\",_IBUpload_GetFileNamesFromFiles(files)); } }); ``` ### Since |version|desc| |---|---| |7.3.0.0|| |7.3.0.11|addFileObject 인자 추가|",
          "since": "|version|desc||---|---||7.3.0.0|||7.3.0.11|addFileObject 인자 추가|"
        },
        "url": "docs/events/onAddFile.html"
      },
      {
        "cid": 72,
        "sid": "onBeforeAddFile",
        "name": "onBeforeAddFile",
        "label": "onBeforeAddFile",
        "data": {
          "body": "> 사용자가 파일을 선택하여 IBUpload 에 파일을 추가하기 직전에 발생하는 이벤트 입니다. > 본 이벤트에서는 최종적으로 true 를 리턴하면 더 이상 onAddFile 이벤트가 발생하지 않고, 컨트롤에 파일도 추가되지 않은 채 그냥 취소되고 끝나게 됩니다. > return 문장을 생략하거나 return false 를 리턴하면 정상적으로 파일 추가 기능이 지속된다. ### Syntax ```javascript $(Selector).IBUpload({ onBeforeAddFile:function(Reservedfiles, addFileObject){ // 사용자 로직 } }); ``` ### Info |Name|Type|Default|Description| |----------|-----|---|----| |ReservedFiles|`N/A` or `object`||json 형태의 객체 제공 예정(아직 미제공)| |addFileObject|`object`||추가된 파일 객체 (브라우저가 제공하는 파일 객체)| ### Since |version|desc| |---|---| |7.3.0.27||",
          "since": "|version|desc||---|---||7.3.0.27||"
        },
        "url": "docs/events/onBeforeAddFile.html"
      },
      {
        "cid": 73,
        "sid": "onBeforeDeleteFile",
        "name": "onBeforeDeleteFile",
        "label": "onBeforeDeleteFile",
        "data": {
          "body": "> IBUpload 에서 파일을 사용자가 제거하기 직전에 발생하는 이벤트입니다. 따라서 사용자가 파일 제거를 취소할 수 있습니다. > 최종적으로 `true` 를 리턴하면 더 이상 삭제 처리가 진행되지 않고, 컨트롤에서 파일도 더 이상 제거되지 않은 채 그냥 취소되고 끝나게 됩니다. > return 문장을 `생략` 하거나 return `false` 처리하게 되면 정상적으로 파일 제거 기능이 지속 됩니다. > ### Syntax ```javascript $(Selector).IBUpload({ onBeforeDeleteFile:function(tryDeleteFile){ // 사용자 로직 } }); ``` ### Info |Name|Type|Default|Description| |----------|-----|---|----| |tryDeleteFile|`FileObject`||삭제하려는 파일 1개| ### Since |version|desc| |---|---| |7.3.0.27||",
          "since": "|version|desc||---|---||7.3.0.27||"
        },
        "url": "docs/events/onBeforeDeleteFile.html"
      },
      {
        "cid": 74,
        "sid": "onContextMenu",
        "name": "onContextMenu",
        "label": "onContextMenu",
        "data": {
          "body": "> 오른쪽 마우스 버튼을 눌러서 업로드시 표시한 팝업메뉴를 클릭했을 때 발생하는 이벤트 입니다. > `주의` 해당 이벤트를 정의하기 전에 반드시 `contextMenuItems` 속성에 대한 설정이 해당 페이지나 `ibuploadinfo.js` 에 있어야 합니다. ### Syntax ```javascript $(Selector).IBUpload({ onContextMenu:function(key){ // 사용자 로직 } }); ``` ### Info |Name|Type|Default|Description| |----------|-----|---|----| |Key|`string`||ibuploadinfo.jsp 에서 설정한 ibleaders.ibupload.contextMenuItems 개체의 각 항목 명칭| ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/events/onContextMenu.html"
      },
      {
        "cid": 75,
        "sid": "onDblClick",
        "name": "onDblClick",
        "label": "onDblClick",
        "data": {
          "body": "> IBUpload를 더블클릭 했을 때 발생하는 이벤트입니다. ### Syntax ```javascript $(Selector).IBUpload({ onDblClick:function(uploadid){ // 사용자 로직 } }); ``` ### Info |Name|Type|Default|Description| |----------|-----|---|----| |uploadid|`string`|업로드 컨트롤 ID|생성된 업로드 컨트롤 ID| ### Example ```javascript $('#myUpload').IBUpload({ onDblClick: function(uploadid) { // IBUpload를 더블클릭 했을 경우 다운로드가 실행된다. $('#' + uploadid).IBUpload('download'); } }); ``` ### Since |version|desc| |---|---| |7.3.0.41||",
          "since": "|version|desc||---|---||7.3.0.41||"
        },
        "url": "docs/events/onDblClick.html"
      },
      {
        "cid": 76,
        "sid": "onDeleteFile",
        "name": "onDeleteFile",
        "label": "onContextMenu",
        "data": {
          "body": "> IBUpload 에서 파일을 사용자가 제거한 후 발생하는 이벤트입니다. > 본 이벤트에서 `fileCount` 메소드로 삭제 직후 남아있는 파일 개수를 확인 할 수 있습니다. ### Syntax ```javascript $(Selector).IBUpload({ onDeleteFile:function(){ // 사용자 로직 } }); ``` ### Example ```javascript $('#myUpload').IBUpload({ onDeleteFile: function() { var count = $(\"#myUpload\").IBUpload(\"fileCount\"); $(\"#total\").text(`${$(\"#myUpload\").IBUpload(\"fileCount\")} 개`); } }); ``` ### Since |version|desc| |---|---| |7.3.0.62||",
          "since": "|version|desc||---|---||7.3.0.62||"
        },
        "url": "docs/events/onDeleteFile.html"
      },
      {
        "cid": 77,
        "sid": "onDragSheetRow",
        "name": "onDragSheetRow",
        "label": "onDragSheetRow",
        "data": {
          "body": "> IBSheet로 셀첨부를 위한 Drag & Drop 과정 중에서 파일을 잡아 Drag 하는 동안 발생하는 이벤트입니다. > `dropTarget` 메소드를 호출하고 나서 IBSheet 위로 파일을 Drag 하면 IBUpload 에서 `onDragSheetRow` 이벤트가 발생합니다. ### Syntax ```javascript $(Selector).IBUpload({ onDragSheetRow:function(sheetID, sheetRow){ // 사용자 로직 } }); ``` ### Info |Name|Type|Default|Description| |----------|-----|---|----| |sheetID|`string`||Drag & Drop 하고 있는 IBSheet의 ID 값(dropTarget에 설정한 IBSheet의 id 문자열 값 )| |sheetRow|`number`||Drag & Drop 하고 있는 IBSheet의 Row 값| ### Examaple ```javascript $('#myUpload').IBUpload({ onDragSheetRow: function(sheetID, sheetRow) { // 드래그 할때마다 파일첨부 아이콘 컬럼을 선택해 준다. window[sheetID].SelectCell(sheetRow, window[sheetID].SaveNameCol(\"fileIcon\")); } }); ``` ### Since |version|desc| |---|---| |7.3.0.28||",
          "since": "|version|desc||---|---||7.3.0.28||"
        },
        "url": "docs/events/onDragSheetRow.html"
      },
      {
        "cid": 78,
        "sid": "onMessage",
        "name": "onMessage",
        "label": "onMessage",
        "data": {
          "body": "> 컨트롤 내에서 발생하는 모든 메시지 발생 이벤트입니다. > 컨트롤 내에서 파일추가,업로드,삭제 등 여러가지 작업이 발생할 때마다 관련 ID값과 함께 메세지가 이벤트로 발생합니다. > `msgOrg`는 서버에서 받은 request body 전문입니다. 제공되는 메시지는 `ibuploadinfo.js` 파일에 정의되어 있습니다. ### Syntax ```javascript $(Selector).IBUpload({ onMessage : function(msgID, msgDesc, msgOrg){ // 사용자 로직 } }); ``` ### Info |Name|Type|Default|Description| |----------|-----|---|----| |sheetID|`string`||Drag & Drop 하고 있는 IBSheet의 ID 값(dropTarget에 설정한 IBSheet의 id 문자열 값 )| |sheetRow|`number`||Drag & Drop 하고 있는 IBSheet의 Row 값| ### Examaple ```javascript $('#myUpload').IBUpload({ onMessage: function(msgID, msgDesc, msgOrg){ if (msgID.substring(0, 3) == \"ERR\") { alert(msgDesc + \"\\n\\n\" + \"error : \" + msgID); // 오류만 메세지로 표시 } //end if }// end onMessage }); ``` ### See also * 메시지 코드 ### Since |version|desc| |---|---| |7.3.0.0|| |7.3.0.12|msgOrg 인자 추가|",
          "since": "|version|desc||---|---||7.3.0.0|||7.3.0.12|msgOrg 인자 추가|"
        },
        "url": "docs/events/onMessage.html"
      },
      {
        "cid": 79,
        "sid": "onSetFiles",
        "name": "onSetFiles",
        "label": "onSetFiles",
        "data": {
          "body": "> files 메소드로 IBUpload 컨트롤 내 파일들을 초기화 시 발생하는 이벤트입니다. > 처음에 로딩된 파일 개수를 화면에 표시하고자 할 때 사용할 수 있습니다. ### Syntax ```javascript $(Selector).IBUpload({ onSetFiles : function(){ // 사용자 로직 } }); ``` ### Info |Name|Type|Default|Description| |----------|-----|---|----| |sheetID|`string`||Drag & Drop 하고 있는 IBSheet의 ID 값(dropTarget에 설정한 IBSheet의 id 문자열 값 )| |sheetRow|`number`||Drag & Drop 하고 있는 IBSheet의 Row 값| ### Examaple ```javascript $('#myUpload').IBUpload({ onSetFiles: function(){ var count = $(\"#myUpload\").IBUpload(\"fileCount\"); $(\"#total\").text(`${$(\"#myUpload\").IBUpload(\"fileCount\")} 개`); } }); ``` ### See also * [메시지 코드](/docs/appx/messagecode) ### Since |version|desc| |---|---| |7.3.0.62||",
          "since": "|version|desc||---|---||7.3.0.62||"
        },
        "url": "docs/events/onSetFiles.html"
      },
      {
        "cid": 80,
        "sid": "onUploadData",
        "name": "onUploadData",
        "label": "onUploadData",
        "data": {
          "body": "> 업로드 완료 후 서버에서 응답문을 얻을 때 발생하는 이벤트입니다. > 서버로부터 데이터를 받은 직후 받은 데이터를 확인 및 수정이 가능하며, 암호화 모듈과 연동하는 경우에도 사용할 수 있습니다. > `주의` 이 함수를 선언한 경우 반드시 파일 객체를 리턴해야 합니다. 암호화된 문자열을 복호화한 경우에도 반드시 객체로 변환해서 리턴해야 합니다. > `주의` 전달 받는 JSON 객체의 모든 정보를 변경 가능하지만 key 값은 IBUpload 내부적으로 사용되므로 수정해서는 안됩니다. ### Syntax ```javascript $(Selector).IBUpload({ onSetFiles : function(){ // 사용자 로직 } }); ``` ### Info * 컨트롤 내에 진행되는 모든 업로드가 완료 되면, 서버에서 수신된 파일을 저장한 직후에응답문을 보내 주는데 그 응답문의 JSON 형태의 객체 와 서버 응답문 전체에 해당되는 문자열 값의 형태도 둘 다 얻을 수 있습니다. * 이 함수에서 null을 리턴하면 서버에서 수신된 모든 자료가 null로 응답된 것처럼 동작하므로 주의해야 합니다. ### Examaple ```javascript // 서버로부터 데이타를 가공하지 않고 그대로 적용하는 예 $('#myUpload').IBUpload({ onUploadData: function(serverResponeObject, serverResponeText){ return serverResponeObject; } }); // 서버로부터 암호화된 데이타를 복호화 하는 예 $('#myUpload').IBUpload({ onUploadData: function(serverResponeObject, serverResponeText){ // 복호화 처리 (복호화 함수가 별도로 있다고 가정) var decrypt_data = fnDecryption(serverResponeText); // 복호화된 데이터를 객체 변환하여 리턴 return JSON.parse(decrypt_data); } }); ``` ### See also * 메시지 코드 ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/events/onUploadData.html"
      },
      {
        "cid": 81,
        "sid": "onUploadFinish",
        "name": "onUploadFinish",
        "label": "onUploadFinish",
        "data": {
          "body": "> 컨트롤 내에 진행되는 모든 업로드가 완료 되면 발생하는 이벤트입니다. > 파일의 추가, 삭제, 업로드 등 컨트롤에 포함된 파일들의 상태가 변경되는 등의 모든 사항에 대하여 이벤트가 발생합니다. ### Syntax ```javascript $(Selector).IBUpload({ onUploadFinish: function(serverResponseObject , replacedResponseObject){ // 사용자 로직 } }); ``` ### Info |Name|Type|Default|Description| |----------|-----|---|----| |serverResponseObject|`string`||onUpdateData 에서 가공하기 전에 서버에서 업로드 결과로 직접 받은 파일 객체| |replacedResponseObject|`string`||onUpdateData 에서 가공한 파일 객체| ### Examaple ```javascript $('#myUpload').IBUpload({ onUploadFinish: myUpload_OnUploadFinish }); function myUpload_OnUploadFinish(orgObject, newObject) { console.log(\"[서버응답 객체]\"); console.dir(orgObject); console.log(\"[onUpdateData 에서 변경된 최종 결과물의 객체]\"); console.dir(newObject); } ``` ### See also ### Since |version|desc| |---|---| |7.3.0.0||",
          "since": "|version|desc||---|---||7.3.0.0||"
        },
        "url": "docs/events/onUploadFinish.html"
      },
      {
        "cid": 82,
        "sid": "onUploading",
        "name": "onUploading",
        "label": "onUploading",
        "data": {
          "body": "> 컨트롤 내에서 서버로 파일을 업로드를 진행하는 동안 전체 진행율의 값이 이벤트로 발생합니다. > 업로드가 시작되면 0으로 이벤트가 한번 발생하고, 완료된 순간에도 100으로 이벤트가 발생합니다. ### Syntax ```javascript $(Selector).IBUpload({ onUploading: function(number){ // 사용자 로직 } }); ``` ### Info |Name|Type|Default|Description| |----------|-----|---|----| |Percent|`number`||업로드의 전체 진행율을 숫자로 제공(0-100)| * 파일의 용량이 크면 0~100 사이의 값 들로 수시로 동일한 이벤트가 여러번 발생하지만, IE 9 이하에서는 시작시 0 과 완료시 100 만 발생합니다. * 여러개의 파일들을 한번에 전송하는 경우에는 그 평균 값으로 진행율이 제공되며, autoUpload 가 `true` 인 경우에는 이미 전송 중인 파일들이 있을 경우 진행중인 상황과 추가하여 업로드 하는 모든 사항들이 합산된 평균 값으로 반영됩니다. * `참고` 100 까지 완료된 직후 서버 측의 사정으로 오류가 발생하는 경우가 있는데, 이 이벤트에서 제공하는 100 이라는 값은 업로드할 파일 전체를 서버쪽으로 100% 전송을 완료했다는 것이지, 모든 파일을 성공적으로 서버에 저장했다는 것을 의미하지는 않습니다. ### Examaple ```javascript $('#myUpload').IBUpload({ onUploading: function(iPercent){ console.log(iPercent +\" % 업로드가 진행중입니다.\"); } }); ``` ### See also ### Since |version|desc| |---|---| |7.3.0.7||",
          "since": "|version|desc||---|---||7.3.0.7||"
        },
        "url": "docs/events/onUploading.html"
      }
    ]
  },
  {
    "gid": 6,
    "name": "appx",
    "label": "Appendix",
    "children": [
      {
        "cid": 83,
        "sid": "environment",
        "name": "environment",
        "label": "환경 설정",
        "data": {
          "body": "> IBUpload 컨트롤의 기본 환경 설정은 `ibuploadinfo.js` 파일을 통해 설정 할 수 있습니다. 1. 각종 API 속성들에 대한 기본 값의 정의 2. Client의 각종 메시지에 대한 정의 3. 공통 이벤트에 대한 로직 구성 4. 팝업메뉴의 구성 내용 ibuploadinfo.js 파일 안에서 제공되는 ibleaders.ibupload 개체의 각종 설정 값들은 IBUpload 컨트롤이 기본적으로 참고하여 사용하는 환경설정 항목입니다. 설치시 반드시 변경 또는 점검해야 하는 필수 변경항목과 필요한 경우 한하여 운영환경에 따라 변경할 수 있는 옵션 항목이 존재합니다. ### 설정 항목 |Name|Description| |------|------------------| |`uploadServerUrl`|upload 함수 호출시 전송될 서버 URL (upload_sample.jsp 참고)| |`downloadServerUrl`|함수 호출시 전송될 서버 URL (download_sample.jsp 참고)| |addTrigger|IE9 환경에서 파일 추가 다이얼로그 창을 클라이언트에서 생성| |autoUpload|파일 추가시 즉시 업로드를 수행할 지의 여부(default:true)| |exceptDuplicated|중복 파일 업로드 방지 여부| |exceptZeroFile|크기가 0byte인 파일 업로드 방지 여부| |limitFileCount|전송할 파일 개수 제한| |limitFileCountOnce|한번에 전송할 파일 개수 제한| |limitFileSize|한번에 전송할 개별 파일 사이즈 제한| |limitFileTotalSize|한번에 전송할 전체 파일 사이즈 제한| |limitFileExt|제약조건 파일 확장자| |limitFileExtMode|limitFileExt 기술된 확장자를 허용/거부 설정| |limitFileExtServer|limitFileExt 와 상관없이 서버에서 실행되면 안되는 서버보안상 꼭 막아야할 파일들에 대한 정의 이 설정은 Client 에서 1차적으로막을 뿐, 서버 파트에서도 2중으로 다시 한번 더 막아야 완벽한 서버 보안이 가능합니다.| |theme|초기에 표시할 테마 설정| |viewType|icon : 아이콘 업로드 뷰어 / ibsheet : ibsheet 연동 뷰어 (default:icon)| |iconMode|아이콘의 정렬 형태 (icon, list, detail) (default:`icon`)| |uploadEncoding|한글 파일명, 한글 데이타의 업로드시 엔코딩 방식 (default:`utf-8`)| |contextMenuItems|마우스 우측버튼 클릭시 보여질 컨택스트메뉴 설정| |message|정보 및 오류 메세지, 화면에 보이는 한/영 텍스트 정의입니다. - INFO-XXX : 오류 아닌 일반 메세지에 대한 정의 - ERR-XXX : 오류 메세지 - TEXT-XXXX : 화면에 보이는 한글 텍스트를 다른 언어의 텍스트로 교체 설정 가능| |supportIcon|지원되는 아이콘 확장자 중 아이콘 모양이 file.gif 로 대체되어 표시됩니다. 지원되는 파일 아이콘을 실제로 js/Main/icon16 폴더와 js/Main/icon32 에 추가한 경우 여기에 추가로 기입해 줘야 제대로 표시됩니다.| |fileType|아이콘의 확장자별 설명글| |userAgent|업로드 전송시 HTTP 헤더에 추가할 내용| |IBSheetLoadPage_Main (예시)|ibsheet사용시 초기화 관련 구성. 테마별로 별도 함수 추가하여 사용 가능| |useDragDrop|DragDrop기능 사용 여부| |overWriteFile|중복 파일 덮어쓸지 여부| |submitNoData|업로드할 피일이 없을 때 서버에 request 전송 여부|"
        },
        "url": "docs/appx/environment.html"
      },
      {
        "cid": 84,
        "sid": "eventsgrammr",
        "name": "eventsgrammr",
        "label": "이벤트 기본 문법",
        "data": {
          "body": "> 이벤트는 IBUpload 초기화 시점에서 속성 설정과 유사하게 설정하게 됩니다. ```javascript $(\"#myUpload\").IBUpload({ autoUpload:false, limitFileCount:5, //... 초기화 속성 설정. .. onEventName:function(eventParameter1 , eventParameter2 ...){ }, .... }); ``` [기본 이벤트 문법] - 모든 화면에 들어가는 Upload 컨트롤에 동일한 이벤트를 적용하고자 하는 경우 `ibuploadinfo.js` 파일에서 설정할 수 있습니다. ```javascript var ibleaders.ibupload = { //.... 전역이벤트 설정.. onAddFile:function(files){ if(files.length > 10){ alert(\"too many files select\"); } } }; ``` [모든 upload 컨트롤에 onAddFile 이벤트 적용] `주의` ibuploadinfo.js와 해당 upload 초기화 구문에 동일한 이벤트가 존재하는 경우 upload 초기화 구문에서 설정한 이벤트만 구동됩니다."
        },
        "url": "docs/appx/eventsgrammr.html"
      },
      {
        "cid": 85,
        "sid": "javascriptutil",
        "name": "javascriptutil",
        "label": "자바스크립트 유틸",
        "data": {
          "body": "> ibuploadinfo.js 파일에는 아래와 같은 javascript 유틸이 포함되어 있습니다. |항목|설정 내용| |----|---------| |_IBUpload_GetFileNamesFromFiles|files문자열로 부터 간단한 파일명 리스트만 얻습니다. 단순한 파일을 나열하여 표시하고 싶을 때 사용합니다| |_IBUpload_mFileName2Date|날짜와 시각 설정을 얻습니다| |_IBUpload_mFileProgress|진행율 표시를 설정합니다|"
        },
        "url": "docs/appx/javascriptutil.html"
      },
      {
        "cid": 86,
        "sid": "messagecode",
        "name": "messagecode",
        "label": "메시지 코드",
        "data": {
          "body": "> IBUpload에는 다양한 메시지가 있습니다. > 경고, 정보 메시지 등 다양한 메시지에 대한 코드를 정리하면 아래와 같습니다. ## 정보 메시지 |구분|msgId|message| |----|-----|----------------------| |업로드|INFO-001 INFO-002|업로드를 시도하였습니다 업로드를 완료하였습니다| |다운로드|INFO-011 INFO-012|다운로드를 시도하였습니다 다운로드를 완료하였습니다| ## 오류 메시지 |구분|msgId|message| |-----|---------|-----------------| |파일제한|ERR-001 ERR-002 ERR-003 ERR-004 ERR-010|업로드할 파일의 개수가 너무 많습니다 업로드할 파일의 용량이 너무 큽니다 업로드할 파일들의 전체 용량이 너무 큽니다 업로드 불가능한 파일 형식 입니다 0Byte인 파일이 있습니다| |업로드 오류|ERR-000 ERR-009 ERR-011 ERR-012 ERR-013|전송이 진행중입니다 중복된 파일이 있습니다 업로드 중에 오류가 발생하였습니다 업로드 후에 서버 응답문에 오류가 있습니다 서버보안상 업로드가 제한된 파일 형식입니다| |Exception 오류|ERR-998|Exception 오류가 발생하였습니다| |API 사용 오류|ERR-999|올바른 API 사용이 아닙니다. 메뉴얼을 확인해 주시고 바르게 사용하여 주십시오|"
        },
        "url": "docs/appx/messagecode.html"
      }
    ]
  }
];
